commit 20562ac0427c3578250d04c6e34fb0127d4551cf
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Nov 12 07:00:59 2014 -0500

    Fix for AArch64. Release as 3.2.1.

commit a0bdc5250cd36f1d2578358e33299fd2408091ac
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Nov 11 09:43:01 2014 -0500

    Fix typo

commit 67c0c0705318d2e567fd48e680d63dca3619a235
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Nov 11 07:30:49 2014 -0500

    Final 3.2 changes

commit ee826b933bbdeb68ee81876ffb508c3908eed371
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Nov 11 07:29:26 2014 -0500

    Final 3.2 changes

commit c81a705d53be97899d314953987936213244b1ba
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Nov 4 13:29:58 2014 -0500

    Mention OpenRISC

commit 6a17ad540d7ddb7a812687f4380bd0ef2d2865bb
Merge: 990eb9d 0f316ab
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Sep 28 00:54:00 2014 -0400

    Merge pull request #134 from s-macke/openrisc
    
    Add OpenRISC support

commit 990eb9d4c244324771a7d878a168bb8eba1850c0
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Sep 28 00:50:29 2014 -0400

    Only run the complex type tests on supported platforms.

commit 0f316ab7c11b8315a838a6ae4645d36ff2c46f4c
Author: Sebastian Macke <sebastian@macke.de>
Date:   Sat Sep 27 00:19:15 2014 +0000

    Add OpenRISC support
    
    This patch adds support for the OpenRISC architecture.
    (http://opencores.org/or1k/Main_Page)
    
    This patch has been tested under Linux with QEMU-user emulation support.
    - 32 Bit
    - big endian
    - delayed instructions
    This is the only available configuration under Linux.
    
    The description of the ABI can be found on the official website.
    
    Is passes the testsuite except of the unwindtest_ffi_call.cc
    testcase, which seems to be a problem of gcc and not libffi.
    Some testcases of the gcc testsuite still fail.
    
    Signed-off-by: Sebastian Macke <sebastian@macke.de>

commit 6695983d2f0857caab220862de12f3f94a55bcf6
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Sep 20 07:44:37 2014 -0400

    Add complex type support. Mostly broken right now

commit fbbf48fbdf9b1491af0aefc00523a1b5d8bb9349
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Sep 20 07:43:51 2014 -0400

    Compile tests with -Wno-psabi when using GCC

commit ae8d2554c5f192be54dadc9f99a1449b4df1b222
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Sep 20 07:08:37 2014 -0400

    Update version to 3.2

commit b2ca59d39d2192021316561ea9dda3d35d8d35d9
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Sep 20 07:08:05 2014 -0400

    More README updates for 3.2

commit f920a01ad8eafc79daaf331499ef9a97696c46a7
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Sep 20 06:54:06 2014 -0400

    Update release notes.

commit bfcbf329c5e4bebdb32134d4e53260e17e4e66cc
Author: Bernd Edlinger <bernd.edlinger@hotmail.de>
Date:   Sat Sep 20 06:51:45 2014 -0400

    2014-05-11  Bernd Edlinger  <bernd.edlinger@hotmail.de>
    
    	Fix current cygwin-64 build problems.
    	* src/java_raw_api.c: Remove if !defined(FFI_NO_RAW_API).
    	* src/x86/ffi.c: Add if defined(__CYGWIN__).
    	* src/x86/win64.S (ffi_closure_win64, ffi_call_win64): Added
    	handling for FFI_TYPE_UINT64, FFI_TYPE_POINTER and FFI_TYPE_INT.
    	Added SEH information.  Fixed formatting.

commit 32cb2ce81db9457c6bd43a2587d7fa23a2edb9b1
Author: Jakub Jelinek <jakub@redhat.com>
Date:   Sat Sep 20 06:39:55 2014 -0400

    2014-09-10  Jakub Jelinek  <jakub@redhat.com>
    
    	* src/powerpc/linux64.S: Emit .note.GNU-stack even when
    	POWERPC64 is not defined.
    	* src/powerpc/linux64_closure.S: Likewise.  Also test _CALL_ELF == 2.

commit aaf3101ba81af8f488502881648e3f687721671e
Author: Matthias Klose <doko@ubuntu.com>
Date:   Sat Sep 20 06:37:04 2014 -0400

    Fix -Werror=declaration-after-statement problem

commit 6e8a4460833594d5af1b4539178025da0077df19
Author: Dominik Vogt <vogt@linux.vnet.ibm.com>
Date:   Sat Sep 20 06:21:19 2014 -0400

    2014-07-22  Dominik Vogt  <vogt@linux.vnet.ibm.com>
    
    	* src/types.c (FFI_TYPEDEF, FFI_NONCONST_TYPEDEF): Merge the macros by
    	adding another argument that controls whether the result is const or not
    	(FFI_LDBL_CONST): Temporary macro to reduce ifdef confusion
    	* src/prep_cif.c (ffi_prep_cif_core): Replace list of systems with new
    	macro FFI_TARGET_SPECIFIC_STACK_SPACE_ALLOCATION
    	* src/pa/ffitarget.h (FFI_TARGET_SPECIFIC_STACK_SPACE_ALLOCATION):
    	Define.
    	* src/s390/ffitarget.h (FFI_TARGET_SPECIFIC_STACK_SPACE_ALLOCATION):
    	Define.
    	* src/x86/ffitarget.h (FFI_TARGET_SPECIFIC_STACK_SPACE_ALLOCATION):
    	Define.
    
    2014-07-22  Dominik Vogt  <vogt@linux.vnet.ibm.com>
    
    	* doc/libffi.texi (Primitive Types): Document ffi_type_complex_float,
    	ffi_type_complex_double and ffi_type_complex_longdouble
    	(Complex Types): New subsection.
    	(Complex Type Example): Ditto.
    	* testsuite/libffi.call/cls_align_complex_double.c: New
    	FFI_TYPE_COMPLEX test.
    	* testsuite/libffi.call/cls_align_complex_float.c: Ditto.
    	* testsuite/libffi.call/cls_align_complex_longdouble.c: Ditto.
    	* testsuite/libffi.call/cls_complex_double.c: Ditto.
    	* testsuite/libffi.call/cls_complex_float.c: Ditto.
    	* testsuite/libffi.call/cls_complex_longdouble.c: Ditto.
    	* testsuite/libffi.call/cls_complex_struct_double.c: Ditto.
    	* testsuite/libffi.call/cls_complex_struct_float.c: Ditto.
    	* testsuite/libffi.call/cls_complex_struct_longdouble.c: Ditto.
    	* testsuite/libffi.call/cls_complex_va_double.c: Ditto.
    	* testsuite/libffi.call/cls_complex_va_float.c: Ditto.
    	* testsuite/libffi.call/cls_complex_va_longdouble.c: Ditto.
    	* testsuite/libffi.call/complex_double.c: Ditto.
    	* testsuite/libffi.call/complex_defs_double.c: Ditto.
    	* testsuite/libffi.call/complex_float.c: Ditto.
    	* testsuite/libffi.call/complex_defs_float.c: Ditto.
    	* testsuite/libffi.call/complex_longdouble.c: Ditto.
    	* testsuite/libffi.call/complex_defs_longdouble.c: Ditto.
    	* testsuite/libffi.call/complex_int.c: Ditto.
    	* testsuite/libffi.call/many_complex_double.c: Ditto.
    	* testsuite/libffi.call/many_complex_float.c: Ditto.
    	* testsuite/libffi.call/many_complex_longdouble.c: Ditto.
    	* testsuite/libffi.call/return_complex1_double.c: Ditto.
    	* testsuite/libffi.call/return_complex1_float.c: Ditto.
    	* testsuite/libffi.call/return_complex1_longdouble.c: Ditto.
    	* testsuite/libffi.call/return_complex2_double.c: Ditto.
    	* testsuite/libffi.call/return_complex2_float.c: Ditto.
    	* testsuite/libffi.call/return_complex2_longdouble.c: Ditto.
    	* testsuite/libffi.call/return_complex_double.c: Ditto.
    	* testsuite/libffi.call/return_complex_float.c: Ditto.
    	* testsuite/libffi.call/return_complex_longdouble.c: Ditto.
    	* src/raw_api.c (ffi_raw_to_ptrarray): Handle FFI_TYPE_COMPLEX
    	(ffi_ptrarray_to_raw): Ditto.
    	* src/prep_cif.c (ffi_prep_cif_core): Abort if FFI_TYPE_COMPLEX is not
    	implemented in libffi for the target.
    	* src/java_raw_api.c (ffi_java_raw_size): FFI_TYPE_COMPLEX not supported
    	yet (abort).
    	(ffi_java_raw_to_ptrarray): Ditto.
    	(ffi_java_rvalue_to_raw): Ditto.
    	(ffi_java_raw_to_rvalue):  Ditto.
    	* src/debug.c (ffi_type_test): Add debug tests for complex types.
    	* include/ffi.h.in (FFI_TYPE_COMPLEX): Add new FFI_TYPE_COMPLEX.
    	(FFI_TYPE_LAST): Bump.
    	(ffi_type_complex_float): Add new ffi_type_....
    	(ffi_type_complex_double): Ditto.
    	(ffi_type_complex_longdouble): Ditto.
    
    2014-07-22  Dominik Vogt  <vogt@linux.vnet.ibm.com>
    
    	* src/s390/ffitarget.h (FFI_TARGET_HAS_COMPLEX_TYPE): Define to provide
    	FFI_TYPE_COMPLEX support.
    	* src/s390/ffi.c (ffi_check_struct_type): Implement FFI_TYPE_COMPLEX
    	(ffi_prep_args): Ditto.
    	(ffi_prep_cif_machdep): Ditto.
    	(ffi_closure_helper_SYSV): Ditto.

commit 4c5c4088aa3e4d8103ff9ca441937da64fdd849a
Merge: 862f53d 5d6340e
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Sep 18 19:10:54 2014 -0400

    Merge pull request #132 from nielsAD/master
    
    Pascal and Register calling convention support on x86

commit 862f53de04ff898a128be7eec592bae60930d6df
Merge: 5df3840 aebf2c3
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Sep 18 19:06:08 2014 -0400

    Merge pull request #130 from frida/fix/darwin-aarch64-float-alignment
    
    Fix alignment of FFI_TYPE_FLOAT for Apple's ARM64 ABI

commit 5df384077f3633ec8cf2e08f9199e5a44994dbad
Merge: 7b7a528 0f4e09d
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Sep 18 19:05:35 2014 -0400

    Merge pull request #129 from frida/fix/darwin-aarch64-cif-prep
    
    Fix non-variadic CIF initialization for Apple/ARM64

commit 7b7a5284de7a99edfcee5ac362dbf76251698e1e
Merge: 4cd5e84 6172a99
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Sep 18 18:28:05 2014 -0400

    Merge pull request #124 from knuesel/master
    
    Fix issue with builddir when calling configure with absolute path

commit 4cd5e840122e22636b5838943372c4ed74618e35
Merge: 1cee07b 08853e3
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Sep 18 18:27:15 2014 -0400

    Merge pull request #123 from ehsan/clang-cl
    
    Add support for building with clang-cl

commit 5d6340ef2cf81432da79ac8b0b1b1218ab391438
Author: nielsAD <niels.a.d@gmail.com>
Date:   Mon Aug 25 17:29:44 2014 +0200

    Determine whether register arguments (THISCALL/FASTCALL/REGISTER) are really passed via register to closures. Use stack if not.

commit 6e346487b879b4b056a847268e381ae6efec4c21
Author: nielsAD <niels.a.d@gmail.com>
Date:   Mon Aug 25 12:23:29 2014 +0200

    Fixed THISCALL/FASTCALL closures and added basic support for PASCAL/REGISTER closures.

commit 098dca6b31e42dd0256ed7d966729e31961f1461
Author: nielsAD <niels.a.d@gmail.com>
Date:   Sat Aug 23 00:18:47 2014 +0200

    Support for calling functions with PASCAL and REGISTER calling conventions on x86 Windows/Linux.
    Also changed indentation to be more consistent throughout the (adjusted) files.

commit 08853e32fb6b750cda664ee6d3290d340429dd4d
Author: Ehsan Akhgari <ehsan@mozilla.com>
Date:   Thu Jul 31 20:33:33 2014 -0400

    Enable forcing the usage of the static CRT in libffi's msvc wrapper
    
    This is required for AddressSanitizer builds with clang-cl.

commit aebf2c3023b5ff056a708dc34169f7b549b2ec4f
Author: Ole André Vadla Ravnås <ole.andre.ravnas@tillitech.com>
Date:   Fri Jul 25 21:40:50 2014 +0200

    Fix alignment of FFI_TYPE_FLOAT for Apple's ARM64 ABI

commit 0f4e09d27dc175ce3e95d070b794351663c7220e
Author: Ole André Vadla Ravnås <ole.andre.ravnas@tillitech.com>
Date:   Sat Jul 26 00:11:06 2014 +0200

    Fix non-variadic CIF initialization for Apple/ARM64
    
    Turns out `aarch64_nfixedargs` wasn't initialized in the non-variadic
    case, resulting in undefined behavior when allocating arguments.

commit 6172a995e14bdbc6150aa02a361f710626a5c293
Author: Jeremie Knuesel <jeremie.knusel@sensefly.com>
Date:   Wed Jun 25 12:28:17 2014 +0200

    Fix issue with builddir when calling configure with absolute path

commit fb25cd08ed5a87640b02f0feeb10a09b37cfddbe
Author: Ehsan Akhgari <ehsan@mozilla.com>
Date:   Wed Jun 11 12:07:24 2014 -0400

    Add support for building with clang-cl

commit 1cee07be4712411baa5eb8af22698bc8443a6d6e
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Jun 12 06:30:59 2014 -0400

    Remove compiler warning

commit ad0d1d239afc7ad09203847793dcc020856d1035
Author: Samuli Suominen <ssuominen@gentoo.org>
Date:   Thu Jun 12 06:30:21 2014 -0400

    Fix paths in libffi.pc.in

commit df31a85103b0cc232bbc340d7e782a3853c7fad5
Merge: 69289c1 360aa8c
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Jun 6 08:24:35 2014 -0400

    Merge pull request #122 from rvandermeulen/1014976
    
    Don't make --enable-debug imply using the debug CRT in libffi

commit 360aa8ca1ead2fdaefa7b1c6f01ad001d8abae7e
Author: Mike Hommey <mh+mozilla@glandium.org>
Date:   Mon Jun 2 09:21:10 2014 -0400

    Bug 1014976 - Don't make --enable-debug imply using the debug CRT in libffi.

commit 69289c10b0acb4b52c8b5df4cf738193c618db40
Author: Anthony Green <green@moxielogic.com>
Date:   Sat May 31 08:54:08 2014 -0400

    Prepare for libffi 3.1.1

commit 978c9540154d320525488db1b7049277122f736d
Author: Samuli Suominen <ssuominen@gentoo.org>
Date:   Sat May 31 08:53:10 2014 -0400

    Add missing GNU stack markings in win32.S

commit cbc5a3c0200aa6c2cf8d6798d69a21501557c83f
Author: Ryan Hill <rhill@gentoo.org>
Date:   Sat May 31 08:26:34 2014 -0400

    Fix typo

commit 9d8e3018ac3d0d338373bff7eefa9f006746f4ec
Author: Anthony Green <green@moxielogic.com>
Date:   Sat May 24 23:28:42 2014 -0400

    Update current version.

commit 18d56cca5a4ee95ad48b129100adf26231518ed0
Author: Anthony Green <green@moxielogic.com>
Date:   Mon May 19 18:05:33 2014 -0400

    Increment libtool version number

commit 629f1029c47e522e4331988f02f32c203a070e28
Merge: 0403f33 c1166d4
Author: Anthony Green <green@moxielogic.com>
Date:   Mon May 19 18:04:28 2014 -0400

    Merge pull request #120 from l0kod/tmpfile
    
    Create temporary file with O_TMPFILE and O_CLOEXEC when available

commit c1166d4f653bf6d17ad8c265cf5e8da84e2e76dc
Author: Mickaël Salaün <mic@digikod.net>
Date:   Mon May 12 19:44:08 2014 +0200

    closures: Check for mkostemp(3)

commit 8daeed9570af72eb135c8ded460d2888f05b2e68
Author: Mickaël Salaün <mic@digikod.net>
Date:   Sun May 11 22:54:58 2014 +0200

    closures: Create temporary file with O_TMPFILE and O_CLOEXEC when available
    
    The open_temp_exec_file_dir function can create a temporary file without
    file system accessible link. If the O_TMPFILE flag is not defined (old
    Linux kernel or libc) the behavior is unchanged.
    
    The open_temp_exec_file_name function now need a new argument "flags"
    (like O_CLOEXEC) used for temporary file creation.
    
    The O_TMPFILE flag allow temporary file creation without race condition.
    This feature/fix prevent another process to access the (future)
    executable file from the file system.
    
    The O_CLOEXEC flag automatically close the temporary file for any
    execve. This avoid transmitting (executable) file descriptor to a child
    process.

commit 0403f332b1f478696c30d3d8a0e2f6eef24aaf88
Author: Anthony Green <green@moxielogic.com>
Date:   Mon May 19 09:41:32 2014 -0400

    Update date. Annoucing 3.1 today.

commit 94ac0c168ee7b115409121d88b25a4979446c8da
Author: Anthony Green <green@moxielogic.com>
Date:   Mon May 19 09:37:21 2014 -0400

    Increment libtool library revision number

commit 57465744b6e1295d7202de5a7734df589518f1c8
Author: Anthony Green <green@moxielogic.com>
Date:   Sun May 11 10:30:22 2014 -0400

    Update to version 3.1

commit 0c2251a42df5108b6d9ebe5fe1cf83d0bcdf660e
Author: Anthony Green <green@moxielogic.com>
Date:   Sun May 11 10:22:30 2014 -0400

    Support versions of git older than 1.8.5

commit 70c303cb88e23aaee91c87c56b108c50ab4f3c2f
Author: Anthony Green <green@moxielogic.com>
Date:   Sun May 11 09:56:40 2014 -0400

    Fix testsuite for GCC 4.9.0

commit 52b3457093ed19b2a7c5fcf243c4014c90ce6225
Author: Magnus Granberg <zorry@gentoo.org>
Date:   Sun May 11 09:55:28 2014 -0400

    Check /proc/self/status for PaX status.

commit 7ba4c5d72aa440a4b21fb57e999e67c5957761da
Author: Dominik Vogt <dominik.vogt@gmx.de>
Date:   Sun May 11 09:52:47 2014 -0400

    Use to get correct dir

commit 31e0d4ecff6dc2a6c75a066ee099b52a43f6ba27
Merge: 1c0e9a7 99909eb
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Apr 23 19:24:47 2014 -0400

    Merge pull request #119 from joshtriplett/fastcall-fastball
    
    src/x86/win32.S: Define ffi_closure_FASTCALL in the MASM section, too

commit 99909eb6184b62408d88b6b4e7ab38e84e6d0bf3
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Tue Apr 22 21:17:52 2014 -0700

    src/x86/win32.S: Define ffi_closure_FASTCALL in the MASM section, too

commit 1c0e9a7297ced15413c2d2d5d35f6c650c4b46c9
Merge: 93a24f2 d369522
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Apr 21 12:41:56 2014 -0400

    Merge pull request #101 from joshtriplett/fastcall-closures
    
    Support closures for fastcall

commit d36952273d4fafbda91ecc205fc0824f7cc65e70
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Apr 20 12:03:25 2014 -0700

    Support fastcall closures
    
    libffi on 32-bit x86 now supports closures for all supported ABIs.
    Thus, rewrite the last remaining duplicated-by-ABI test (closure_stdcall
    and closure_thiscall) to use the generic ABI_NUM/ABI_ATTR mechanism.

commit 93a24f216bcdd1018b976d697179c6d49004015a
Merge: dd11a04 2349fec
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Apr 12 19:38:07 2014 -0400

    Merge pull request #80 from ueno/devel
    
    Fix typo in doc

commit dd11a04061cb49ce1d702545693c24eb1267d648
Merge: 8fa2812 03ca880
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Apr 12 19:37:21 2014 -0400

    Merge pull request #86 from joshtriplett/testsuite-CC-CXX
    
    testsuite ignores CC parameter supplied to configure or make

commit 8fa2812355e685a42abf9a62fbc674d616b2edee
Merge: 8a58e6b 419503f
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Apr 12 19:32:08 2014 -0400

    Merge pull request #116 from frida/fix/darwin-aarch64-variadic
    
    Fix handling of variadic calls on Darwin/AArch64

commit 8a58e6b7805b736def197b8baf8e465a2a3f6913
Merge: 30b77c5 a539f7f
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Apr 12 19:30:18 2014 -0400

    Merge pull request #115 from frida/fix/darwin-aarch64-alignment
    
    Fix alignment of AArch64 assembler functions

commit 30b77c56f95c63ecd83399aafdbad7b07330f2fd
Merge: dc33cb3 3e2b84d
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Apr 12 19:29:13 2014 -0400

    Merge pull request #117 from frida/fix/windows-regression
    
    Fix Windows regression

commit 3e2b84d295531720917bf46afc532fc6d877e3ec
Author: Ole André Vadla Ravnås <ole.andre.ravnas@tillitech.com>
Date:   Sat Apr 12 01:04:04 2014 +0200

    Fix Windows regression
    
    Introduced by b5fed601948237037513a9b7f967c8fc6c9ff1f6.

commit 419503f409c321fe31ff59d963ef34bb913420d0
Author: Ole André Vadla Ravnås <ole.andre.ravnas@tillitech.com>
Date:   Sun Apr 6 20:54:13 2014 +0200

    Fix handling of variadic calls on Darwin/AArch64

commit a539f7ffd6783aa11353d13265520e453c565fb4
Author: Ole André Vadla Ravnås <ole.andre.ravnas@tillitech.com>
Date:   Sun Apr 6 20:53:02 2014 +0200

    Fix alignment of AArch64 assembler functions

commit dc33cb3c998da521a960385c1269c3aef552f69f
Merge: c860a99 b5fed60
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Apr 5 23:41:22 2014 -0400

    Merge pull request #114 from joshtriplett/bounce-on-a-tiny-trampoline
    
    Fix ABI on 32-bit non-Windows x86: go back to trampoline size 10

commit b5fed601948237037513a9b7f967c8fc6c9ff1f6
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sat Apr 5 17:33:42 2014 -0700

    Fix ABI on 32-bit non-Windows x86: go back to trampoline size 10
    
    The trampoline size is part of the ABI, so it cannot change.  Move the
    logic from the stdcall and thiscall trampolines to the functions they
    call, to reduce them both to 10 bytes.
    
    This drops the previously added support for raw THISCALL closures on
    non-Windows.  (Non-raw THISCALL closures still work.)

commit 03ca880081b22efab09ba72268270f83017d3d7b
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Thu Mar 27 08:44:34 2014 -0700

    README: Note the testsuite changes to respect $CC and $CXX

commit d74df8c5d8c6722ecb908da98c86cc8e2c755b84
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Thu Mar 27 00:44:12 2014 -0700

    README: Update Windows example to set both CC and CXX

commit 7d698125b1f05173f3656a89755a2eb58813b002
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Wed Mar 26 23:17:56 2014 -0700

    Use the proper C++ compiler to run C++ tests
    
    Running the C compiler with -shared-libgcc -lstdc++ does not work on
    non-GCC compilers.

commit fa5e88f170cb37c7b2b9bb015c8c5b854ffd8a3e
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Wed Mar 26 23:53:57 2014 -0700

    .travis.yml: Make the build command more readable by splitting at &&
    
    "script" can contain multiple commands to run in sequence.

commit 0c3824702d3d59d37f8c177d646303f546187683
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Wed Mar 26 14:51:32 2014 -0700

    Always set CC_FOR_TARGET for dejagnu, to make the testsuite respect $CC
    
    This fixes cross-compilation and compilation with CC="gcc -m32".

commit 9946a92af31b30cb7760150d1f8ca6c11b01aeea
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Wed Mar 26 20:18:58 2014 -0700

    Stop looking for expect and runtest above top_builddir
    
    Users wishing to test hand-compiled versions of expect and runtest can
    easily enough put them in their path or set EXPECT and RUNTEST
    themselves.

commit acb202325215058639234efb7af1f04c1c8a1f44
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Wed Mar 26 20:18:41 2014 -0700

    Stop setting an empty AM_RUNTESTFLAGS

commit c860a992fef5d7cd7bb0975b1632d17a9fafe007
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Mar 25 17:02:51 2014 -0400

    Upgrade version to 3.1-rc1

commit 9837073e6203048a162a226798c5d252600219ed
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Mar 25 16:24:14 2014 -0400

    Update copyright date and clean up README notes.

commit 18d3baa9f597b026675baa1b4e5a5eeef7577a08
Merge: afee537 f0c8a31
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Mar 25 16:12:53 2014 -0400

    Merge pull request #108 from joshtriplett/freebsd
    
    [3.1 blocker] Fix FreeBSD support

commit afee53738a995e23bd2f89fd0f7b30b380566106
Merge: 7d24785 b2d610e
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Mar 25 16:12:35 2014 -0400

    Merge pull request #106 from joshtriplett/darwin-award
    
    [3.1 blocker] Update OS X build system to include win32.S on 32-bit

commit 7d2478568ed9f03cbf57627f449a2d2cf4d1571c
Merge: beab5f3 56be47f
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Mar 25 16:12:17 2014 -0400

    Merge pull request #110 from joshtriplett/w64
    
    Fix 64-bit Windows support

commit beab5f334d9ec5b8b91d1cc727d1029b40358e7e
Merge: 28fb197 ef5890e
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Mar 25 16:07:47 2014 -0400

    Merge pull request #105 from joshtriplett/win32-relocations
    
    [3.1 blocker] win32.S needs to handle relocations/GOT

commit f0c8a31577172104049283f0a80c723084a5bd77
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Mon Mar 24 22:14:26 2014 -0700

    Compile win32.S on FreeBSD

commit b2d610e028b5ce48d1ad7e5d0debc9c321d891b2
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Fri Mar 21 11:10:13 2014 -0700

    Compile win32.S on 32-bit Darwin as well

commit be50b87a490e794362cb4a27ada2fbaab202adb8
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Mon Mar 24 21:44:13 2014 -0700

    Always use configure to detect whether global symbols need underscores
    
    64-bit Windows already used this check; make it universal, and use it in
    place of an ifdef on X86_WIN32, to handle non-Windows platforms that use
    the underscore, such as Darwin.

commit 56be47f87629e31afbcb0774aa65735f539ee972
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Mon Mar 24 21:24:53 2014 -0700

    Fix a warning on 64-bit Windows
    
    When sizeof(size_t) != sizeof(unsigned), adding a size_t to cif->bytes
    produces a "possible loss of data" warning.  However, the size_t in
    question refers to the size of a single parameter.  Use a cast to avoid
    the warning.

commit 48a8eda74aad8a21b6f26df5df08fe64c043d208
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Mon Mar 24 21:21:12 2014 -0700

    Avoid referencing undefined ABIs on 64-bit Windows builds
    
    64-bit Windows does not have FFI_STDCALL, FFI_THISCALL, or FFI_FASTCALL.

commit f0f4138f90345d7d67dfa6783a7e1c7cc30d3c6f
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sat Mar 22 10:00:53 2014 -0700

    win32.S: Add handling for position-independent code on Darwin
    
    Newer versions of Darwin generate the necessary stub functions
    automatically and just need a call instruction, but accomodating older
    versions as well requires adding the stub.

commit ef5890ebafb7cd2fbf9acf161edb55fe1382871c
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Fri Mar 21 11:01:39 2014 -0700

    win32.S: Use shifting for multiplication rather than repeated addition
    
    The jump table code added a register to itself twice to multiply by 4;
    shift the register left by 2 instead.

commit 4fca48901e7e4f53bf490ed22607b2d2d8f4bfcc
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Fri Mar 21 11:00:41 2014 -0700

    win32.S: Make the jump tables position-independent
    
    Now that non-Windows platforms include win32.S, it needs to support
    building as position-independent code.  This fixes build failures on
    target platforms that do not allow text relocations.

commit 2087dcf736274286f76c69d3988fb6d7cc4fd0f5
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Fri Mar 21 10:57:06 2014 -0700

    win32.S: Make calls to ffi_closure_SYSV_inner position-independent
    
    Now that non-Windows platforms include win32.S, it needs to support
    building as position-independent code.  This fixes one source of build
    failures on target platforms that do not allow text relocations.

commit 28fb197079cf1d11da4eef7c8c243ab05590c528
Merge: c697472 c3dd0a1
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Mar 18 12:19:36 2014 -0400

    Merge pull request #107 from rvandermeulen/msvcc
    
    Various compatibility fixes and improvements to msvcc.sh.

commit c3dd0a1a0245fc174361a70876e88ae24285f861
Author: Ryan VanderMeulen <ryanvm@gmail.com>
Date:   Tue Mar 18 12:09:45 2014 -0400

    Various compatibility fixes and improvements to msvcc.sh.
    
    * Don't try to mix incompatible optimization flags in debug builds.
    * Workaround ax_cc_maxopt.m4 not supporting MSVC and change -O3 to -O2.
    * Fix MSVC warning by properly passing linker flags to compiler.
    * Make msvcc.sh return 1 if invalid command line options are used rather than silently eating them.
    * Add more comments.

commit c697472fccfbb5b87b007c053cda9ef014b346b9
Merge: 83fd2bc e48918e
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Mar 17 00:32:42 2014 -0400

    Merge pull request #102 from joshtriplett/test-generic
    
    Add ABIs to the test matrix; unify many bits of the testsuite

commit e48918ecf876bc85d040fc50a232059c566553a8
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 20:29:27 2014 -0700

    testsuite: Add ABIs to the test matrix; unify tests across ABIs
    
    This eliminates all the *_win32.c tests in favor of the tests they were
    branched from, and expands test coverage to run many more tests on
    stdcall, thiscall, and fastcall.
    
    This same mechanism also supports testing any other target that has
    multiple ABIs.

commit 4d4d368e5a55d9443c4c53b1b70d58ab6d8c941c
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 17:02:05 2014 -0700

    testsuite: Replace ffitestcxx.h with ffitest.h
    
    ffitest.h contains a superset of the functionality of ffitestcxx.h;
    make the C++ tests include ffitest.h instead, and remove ffitestcxx.h.

commit 3f97cf3413c46caf2a79f32ac9cda4620972c2d7
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 16:53:42 2014 -0700

    testsuite: Unify the C and C++ testsuites
    
    These two testsuites differ only in the source file glob and a couple of
    additional compiler options; unify the remaining bits.

commit 0d9cce8edb937bbe771a6cdd25f671edf06d2128
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 16:22:58 2014 -0700

    testsuite: ffitest.h: Parenthesize the CHECK macro

commit 5695ec1444c5323e48fe4314f8c8f027625e67df
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 16:04:58 2014 -0700

    testsuite: Factor out a function to run a matrix of tests
    
    This commons up code from libffi.call/call.exp and
    libffi.special/special.exp, unifies the optimization option matrix
    between the two, and makes it easier to add more axes to the matrix
    in the future.

commit dfdb02cc869855d3b68571e5f7aa77ae8c9d254a
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 15:26:26 2014 -0700

    testsuite: Introduce a __THISCALL__ compiler-specific macro

commit 83fd2bce0456224483435d4b764063f4513fd464
Merge: 3658a07 06ff924
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 22:03:29 2014 -0400

    Merge pull request #99 from joshtriplett/gitignore
    
    .gitignore: Ignore more generated files

commit 3658a0700a50d37a2fdba04fd9d79ad2f706d9f5
Merge: d948d0a 46c5d3c
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 21:37:42 2014 -0400

    Merge pull request #100 from rvandermeulen/bug-756740
    
    Change double quotes in Makefile.am to single quotes.

commit 46c5d3c30fdc2b43c076ad955078d7c5f1e75b37
Author: Ryan VanderMeulen <ryanvm@gmail.com>
Date:   Sun Mar 16 21:16:08 2014 -0400

    Change double quotes in Makefile.am to single quotes.
    
    This was originally done in PR #84, except the change was made to Makefile.in instead of Makefile.am and was therefore reverted the next time the files were regenerated.

commit 06ff924215a2f9739efa2c059dc595bc4ec1c851
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 16:19:46 2014 -0700

    .gitignore: Ignore more generated files
    
    The build process generates doc/libffi.info and fficonfig.h.in, so add
    them to .gitignore.

commit bad8948346e9b8813023a0cc78a3b6eb8d9c14c6
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 15:16:18 2014 -0700

    testsuite: Introduce a __STDCALL__ compiler-specific macro
    
    Several tests want to use stdcall, which differs in syntax by compiler,
    so introduce a macro for it in ffitest.h.

commit 98a793fa36a4ab3ba24d059cb80a2891cdb940e1
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 15:20:36 2014 -0700

    testsuite: Common up the ifdef blocks for compiler-specific macros

commit d948d0a729c934b0224749338a3ba0a2c8f51c45
Merge: b61b472 a86bd31
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 10:53:48 2014 -0400

    Merge pull request #98 from joshtriplett/unconfigure.host
    
    Merge configure.host into configure.ac

commit a86bd318e2424d879d784ee7b29d6536d7a17c18
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 06:58:59 2014 -0700

    Merge configure.host into configure.ac
    
    configure.host only has a single entry, and shows no signs of needing
    more added.

commit b61b472bd0647006d6685238721002017f1d119c
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 09:45:55 2014 -0400

    Update version to 3.1-rc0.  Clean up README.

commit 7a64e7dbba54e6e9f69954adfb943be1856ff928
Merge: 11a5c5c eef2e02
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 09:39:08 2014 -0400

    Merge pull request #97 from joshtriplett/remove-more-generated-files
    
    Remove more generated files

commit 11a5c5c39f5861011f6c5ddf795da3a32b5f0082
Merge: 9a62a21 1c68c07
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 09:38:47 2014 -0400

    Merge pull request #96 from joshtriplett/sawing-changelogs
    
    Generate ChangeLog from git in make dist; remove it from version control

commit eef2e02a13d7d1c8145d47a64467f654406a3548
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 06:26:03 2014 -0700

    doc: Remove autogenerated info file and stamp

commit 9fb403d3c5d9643e0f561cab6d4a07b1e54907ff
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 06:25:52 2014 -0700

    fficonfig.h.in: Remove, configure generates it

commit 1c68c07217fda78a779778c1480fedef7a58d5b4
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 06:11:58 2014 -0700

    Generate ChangeLog from git in make dist
    
    Archive the existing ChangeLog to ChangeLog.libffi-3.1

commit c65ed55e655711e008282edbdd82ce95d008b4f6
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 05:52:00 2014 -0700

    ChangeLog.v1: Fix typo in explanatory header.

commit 9a62a21f5c3a8e1da463229f3170c8ab3031d920
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 09:03:57 2014 -0400

    Add missing ChangeLog entry.  Clean up some entries.

commit 9bc704c58cb7a049d867837e3a11e2e31886ec66
Merge: 694447a e892e58
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 08:41:00 2014 -0400

    Merge pull request #95 from joshtriplett/news
    
    README: Update news for 3.0.14

commit e892e581d1838a06c18c7ecd50ebd79915cff92b
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 05:38:24 2014 -0700

    README: Update news for 3.0.14

commit 694447aa29deadd571efb4e9a26ee3f68ede1493
Merge: fdc87f3 45a6c21
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 08:32:05 2014 -0400

    Merge pull request #93 from joshtriplett/travis-dist
    
    Make Travis check "make dist"

commit 45a6c21efa944b520842e631dc54919b04884744
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 05:29:08 2014 -0700

    .travis.yml: Test "make dist" too.

commit fdc87f3b2ea37b58a4a9ae6c35083f544909fe3c
Merge: 7412b83 e1911f7
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 08:05:51 2014 -0400

    Merge pull request #85 from joshtriplett/stdcall
    
    stdcall support on Linux

commit e1911f78df113ca58738b66089a070d4cf747de7
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 03:25:53 2014 -0700

    Add support for stdcall, thiscall, and fastcall on non-Windows x86-32
    
    Linux supports the stdcall calling convention, either via functions
    explicitly declared with the stdcall attribute, or via code compiled
    with -mrtd which effectively makes stdcall the default.
    
    This introduces FFI_STDCALL, FFI_THISCALL, and FFI_FASTCALL on
    non-Windows x86-32 platforms, as non-default calling conventions.

commit 7412b838d543aae4fa925862bd5702d3dacbc29a
Merge: c0cc5fd 9531d05
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 07:58:16 2014 -0400

    Merge pull request #90 from joshtriplett/win32-unifdef
    
    prep_cif.c: Remove unnecessary ifdef for X86_WIN32

commit c0cc5fdaa237b67e86f22d2f6e13f3b42d9aae33
Merge: 98b5296 b3a5da0
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 07:57:59 2014 -0400

    Merge pull request #89 from joshtriplett/travis32
    
    .travis.yml: Test on both 32-bit and 64-bit

commit 9531d05f64c2a674e0197158ffad68d69f177bd0
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 01:50:02 2014 -0700

    prep_cif.c: Remove unnecessary ifdef for X86_WIN32
    
    ffi_prep_cif_core had a special case for X86_WIN32, checking for
    FFI_THISCALL in addition to the FFI_FIRST_ABI-to-FFI_LAST_ABI range
    before returning FFI_BAD_ABI.  However, on X86_WIN32, FFI_THISCALL
    already falls in that range, making the special case unnecessary.
    Remove it.

commit b3a5da068abd2f2983d9e67adbf41b0e0f34e37f
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sat Mar 15 23:27:56 2014 -0700

    .travis.yml: Test on both 32-bit and 64-bit

commit 98b52960485a261399f081915f36063de3854a5f
Merge: 134ce4c f6dd184
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 07:51:33 2014 -0400

    Merge pull request #94 from joshtriplett/esp-extra-stackery-perception
    
    ChangeLog: Document testsuite changes to remove fragile stack pointer checks

commit f6dd1845434dd53e22129becdfa092c082df307c
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 04:49:36 2014 -0700

    ChangeLog: Document testsuite changes to remove fragile stack pointer checks

commit 134ce4c0266bf994f07518fc534de53f1d3c8de8
Merge: 2680e9e 9c27932
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 07:47:17 2014 -0400

    Merge pull request #91 from joshtriplett/esp-extra-stackery-perception
    
    testsuite: Remove fragile stack pointer checks

commit 9c279328ee12fc869adff63ca81f1230977bd42b
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 02:31:19 2014 -0700

    testsuite: Remove fragile stack pointer checks
    
    testsuite/libffi.call/closure_stdcall.c and
    testsuite/libffi.call/closure_thiscall.c include inline assembly to save
    the stack pointer before and after the call, and compare the values.
    However, compilers can and do leave the stack in different states for
    these two pieces of inline assembly, such as by saving a temporary value
    on the stack across the call; observed with gcc -Os, and verified as
    spurious through careful inspection of disassembly.

commit 2680e9ea9b4c87ea8042a61e551bd667493d4bd3
Merge: 071eab3 82f8cb2
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 07:44:08 2014 -0400

    Merge pull request #88 from joshtriplett/such-precision-many-fail-wow
    
    testsuite/libffi.call/many.c: Avoid spurious failure due to excess precision

commit 82f8cb24a1d976db35ae31a4b86cec8926da327d
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 04:27:32 2014 -0700

    ChangeLog: Document many.c and many_win32.c changes to avoid spurious failures

commit 88d562a8b5912e99306063fe3bc289bab6ca6ebe
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sat Mar 15 22:08:19 2014 -0700

    testsuite/libffi.call/many_win32.c: Avoid spurious failure due to excess precision
    
    The test case testsuite/libffi.call/many_win32.c can spuriously fail due
    to excess floating-point precision.  Instrumenting it with some printf
    calls shows differences well above FLT_EPSILON.  (Note when
    instrumenting it that multiple computations of the difference, such as
    one in a print and another in the conditional, may produce different
    results.)
    
    Rather than complicating the test suite with architecture-specific flags
    to avoid excess precision, just simplify the floating-point computation
    to avoid a dependency on potential excess precision.

commit c00a49ecd165b2d06c1c9b249d212dc843fa116f
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sat Mar 15 22:08:19 2014 -0700

    testsuite/libffi.call/many.c: Avoid spurious failure due to excess precision
    
    The test case testsuite/libffi.call/many.c can spuriously fail due to
    excess floating-point precision.  Instrumenting it with some printf
    calls shows differences well above FLT_EPSILON.  (Note when
    instrumenting it that multiple computations of the difference, such as
    one in a print and another in the conditional, may produce different
    results.)
    
    Rather than complicating the test suite with architecture-specific flags
    to avoid excess precision, just simplify the floating-point computation
    to avoid a dependency on potential excess precision.

commit 071eab32a7f9fbbef46c0d8f37d9985bc9cceb37
Merge: 2228c7a 2f44952
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 07:36:52 2014 -0400

    Merge pull request #92 from joshtriplett/autogen
    
    Re-add libtool-ldflags

commit 2f44952c95765c1486fad66f57235f8d459a9748
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Mar 16 04:35:12 2014 -0700

    Re-add libtool-ldflags

commit 2228c7ab190f3c529b9018495467b841fa21cba2
Merge: 76d19d0 35634db
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 16 07:25:18 2014 -0400

    Merge pull request #87 from joshtriplett/autogen
    
    Remove autogenerated files from the repository

commit 35634dbceaac0a1544f7385addc01d21ef1ef6a8
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sat Mar 15 18:11:16 2014 -0700

    Remove autogenerated files from the repository
    
    Add an autogen.sh to regenerate them.

commit 76d19d004e36e99d261ee78261e2f52cea5e4ab1
Merge: c86d9b6 a1a6f71
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Mar 14 16:54:31 2014 -0400

    Ensure the linker supports @unwind sections in libffi.

commit c86d9b6cc6e16ee262844a33b40441374400758c
Merge: 4efb7db f8cdf11
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Mar 14 16:51:20 2014 -0400

    Fix merge

commit 4efb7dbfd9427c478a948cd0d464210123db8de8
Merge: 634a475 18eb81d
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Mar 14 16:47:57 2014 -0400

    Merge pull request #81 from rvandermeulen/bug-756740
    
    Allow building for mipsel with Android NDK r8.

commit a1a6f71bfe4199293043b2e4cfb4c8d3cb1112f9
Author: Ryan VanderMeulen <ryanvm@gmail.com>
Date:   Mon Mar 10 15:12:47 2014 -0400

    Remove stray hunk that shouldn't have been included in this patch.

commit f8cdf11467181f2a9a6b7e748167569aa58e3a81
Author: Ryan VanderMeulen <ryanvm@gmail.com>
Date:   Mon Mar 10 15:04:58 2014 -0400

    Replace double quotes with single quotes in Makefile.in to improve compatibility between some versions of MSYS and gmake. From Mozilla bug 943728.
    https://bugzilla.mozilla.org/show_bug.cgi?id=943728

commit dfa3738732e1bc3a7f4130395ae4bab55fcebb99
Author: Ryan VanderMeulen <ryanvm@gmail.com>
Date:   Mon Mar 10 14:53:48 2014 -0400

    Ensure the linker supports @unwind sections in libffi. From Mozilla bug 756740.
    https://bugzilla.mozilla.org/show_bug.cgi?id=778414
    
    Also tracked as issue #42.
    https://github.com/atgreen/libffi/issues/42

commit 18eb81d032f29d645d0498ba92bddfd651f009ae
Author: Ryan VanderMeulen <ryanvm@gmail.com>
Date:   Mon Mar 10 14:43:37 2014 -0400

    Allow building for mipsel with Android NDK r8. From Mozilla bug 756740.
    https://bugzilla.mozilla.org/show_bug.cgi?id=756740

commit 2349fec9a818fb52fd2f294bcbc7b3156cd113de
Author: Daiki Ueno <ueno@gnu.org>
Date:   Wed Mar 5 17:53:02 2014 +0900

    Fix typo in doc

commit 634a475eaf1bee31c09f7d519e31c13b64cd24df
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 1 18:37:29 2014 -0500

    Update Makefile for new darwin scripts

commit c7b67e874bb89859f9a07d1cf9606052b6c0dcc1
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 1 18:34:18 2014 -0500

    Add README note

commit a04e30ba3dc303133d459c1ac273ceefe4d49b32
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 17:20:59 2014 -0500

    Add missing -DFFI_DEBUG flag

commit 934dc1b5c8d6a9e727bedc72342831eb7d62c35f
Merge: 11d7aa9 67fbef3
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 01:10:17 2014 -0500

    Merge branch 'master' of github.com:/atgreen/libffi

commit 11d7aa9d7a4bbe642944edc0f07cf96db9b270b6
Merge: b40aeda 3b44d41
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 01:06:48 2014 -0500

    Merge pull request #46 from makotokato/android-clang
    
    Fix build failure when using clang for Android

commit 67fbef3b56ff0ef88f9b1a7fe48cb77222fa6cec
Merge: b40aeda 3b44d41
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 01:06:48 2014 -0500

    Merge pull request #46 from makotokato/android-clang
    
    Fix build failure when using clang for Android

commit b40aeda31a74d95a37c723b6243aabac466e67c4
Merge: 20698ab 53ceaf1
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 01:01:29 2014 -0500

    Merge branch 'master' of github.com:/atgreen/libffi

commit 53ceaf14c5eeb16ba09745f0ca87cca367d41a90
Merge: 860fe66 cc9b518
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 01:01:02 2014 -0500

    Merge pull request #40 from wojdyr/master
    
    Correct the -L flag in libffi.pc.in

commit 20698abc6a00092fd7fd3e434a3a29dc0f048f1e
Merge: 64bd069 1a0b01e
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 00:56:27 2014 -0500

    Merge pull request #66 from ppizarro/master
    
    BlackFin fixes - Fatal error when calling a function defined in a shared library from within the function called by FFI

commit 860fe6646f5ae603e99a8d1d722ddddba8b75769
Merge: 64bd069 1a0b01e
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 00:56:27 2014 -0500

    Merge pull request #66 from ppizarro/master
    
    BlackFin fixes - Fatal error when calling a function defined in a shared library from within the function called by FFI

commit 64bd06990a7accf72271516a2110b86cdccd8df4
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 00:52:56 2014 -0500

    Add ChangeLog entry for Josh's change

commit edf29c5169b06fcfc241445e152e325bc3c50e0e
Merge: 33c9954 3998d26
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 00:50:25 2014 -0500

    Merge pull request #75 from joshtriplett/longdouble
    
    Fix build error on x86 without distinct long double

commit 33c9954f2eec539011a0f93270aaf013318837ae
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 00:38:41 2014 -0500

    Rebuilt with new libtool

commit 926b6989fbd08488b9105943293353d45ac527e0
Merge: 5a88c85 cc82051
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 00:26:57 2014 -0500

    Merge branch 'master' of github.com:/atgreen/libffi
    
    Conflicts:
    	ChangeLog

commit 5a88c85fde304052bed1581ed0b6452ac2c68838
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 00:23:04 2014 -0500

    Fix spelling errors

commit cc82051c7e80cea772c4b72da026eb7e68d598fc
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 00:23:04 2014 -0500

    Fix spelling errors

commit 001aaf4b1b56349596bb6f6b5c1613dcbbd84ea8
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 00:20:17 2014 -0500

    When no VFP arguments are present the IP register is used
    uninitialized. Initialize it to the value of FP.
    
    This fixes a number of testsuite failures when configured for
    armv7l-unknown-linux-gnueabihf

commit 49f7729c3ce697c12408c42ccb29cdf4eb66bb85
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 28 00:17:16 2014 -0500

    aarch64 fix

commit 447483d51c6aa9df7116f346a73fc1cf795f4c2b
Merge: 51377bd b4df9cf
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Feb 27 15:42:41 2014 -0500

    Fix ChangeLog merge

commit 3998d2604b5c0d45a098ff3119a9fd9710ef429d
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Mon Feb 17 11:20:33 2014 -0800

    Fix build error on x86 without distinct long double
    
    src/x86/ffi64.c: In function 'classify_argument':
    src/x86/ffi64.c:205:5: error: duplicate case value
         case FFI_TYPE_LONGDOUBLE:
         ^
    src/x86/ffi64.c:202:5: error: previously used here
         case FFI_TYPE_DOUBLE:
         ^

commit 51377bda9aed0b2c1309c818460cab9d9ab3d46e
Merge: f08da54 40927bd
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Feb 15 08:06:29 2014 -0500

    Merge pull request #72 from heiher/devel
    
    MIPS N32: Fix call floating point va function

commit f08da5465463e60a28f5e921f23ebf2ba984c148
Merge: 3dc3f32 fa5f25c
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Feb 15 08:06:11 2014 -0500

    Merge pull request #68 from zeldin/master
    
    Linux/ppc64: Remove assumption on contents of r11 in closure

commit 40927bd3e1e7c6007025ba10854fd8a0664e47df
Author: Heiher <r@hev.cc>
Date:   Tue Jan 21 23:18:27 2014 +0800

    Fix call floating point va function
    
    I'm not sure floating-point arguments in GPR or FPR before calling
    variable number arguments function. so, load all arguments to GPR and
    FPR.

commit b4df9cf9cc4a9a9401a53fd6bea1f3c2c283b97b
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Wed Feb 5 14:22:52 2014 -0500

    AArch64: Fix void fall-through case when assertions are enabled

commit f466aad0d91a117e42571d1d6fb434fa0433c930
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Tue Jan 21 16:38:31 2014 -0500

    AArch64: Fix missing semicolons when assertions are enabled

commit 7ea677733bd98917241852b8901a6b7580728895
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 30 20:58:31 2013 -0500

    Remove build-ios from Makefile
    
    Conflicts:
    	ChangeLog

commit 6ae046cc59c12b2cd40158d6bcb96f4a59886159
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 30 21:06:51 2013 -0500

    Mention Aarch64 on iOS

commit bfc06b3fdb32abe90ce0749aedfec649df85a7ef
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Mon Dec 30 17:36:39 2013 -0500

    Update ChangeLog

commit 0a0f12ce1f7be81006b08a3c81a636926d283a9b
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Thu Jan 9 13:50:17 2014 -0500

    AArch64: Remove duplicitous element_count call.
    
    This inhibits an analyzer warning by Clang.

commit 4330fdcd92e67c816288d64ab230237065768206
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Thu Jan 9 13:53:30 2014 -0500

    Darwin/aarch64: Respect iOS ABI re: stack argument alignment

commit 0a333d6c3973935d4fe02aae76b10e39d3c88e07
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Thu Jan 9 14:03:29 2014 -0500

    Darwin/aarch64: Fix size_t assumptions

commit 2c18e3c76aad1b426617db05a4384e7c3a920176
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Mon Dec 30 16:14:02 2013 -0500

    Darwin/aarch64: Fix "shadows declaration" warnings

commit 1b8a8e20e344f3c55495ab6eb46bd14e843d4b3e
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Thu Jan 9 13:55:21 2014 -0500

    Darwin/aarch64: Use Clang cache invalidation builtin

commit 6030cdcae776f8fb5876a53168f7d1e75d28a242
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Mon Dec 30 15:45:51 2013 -0500

    Darwin/aarch64: Account for long double being equal to double

commit 5658b0892683d2e24e4d5842978c184a7ad33858
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Mon Dec 30 16:33:47 2013 -0500

    Darwin/aarch64: Use CNAME, restrict .size like ARM

commit 07175780802acec5dc49fdedd6d20a62409a6707
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Mon Dec 30 17:48:22 2013 -0500

    Darwin/aarch64: Fix invalid reference in assembly

commit 9da28b44277fea3aeb827c35dd63d609d2524a8b
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Mon Dec 30 16:23:21 2013 -0500

    Darwin/x86_64: Fix 64-bit type shortening warnings

commit 821d398f08bd1d540a5b235507812ffeee49b580
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Thu Jan 9 13:15:06 2014 -0500

    Darwin: Merge build scripts, redo project, incl. arm64

commit 6eff9ff9e72463b9783be2514f944b6f05692054
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Mon Dec 30 17:48:10 2013 -0500

    Darwin/iOS: Improve unified syntax use for LLVM

commit ba0ea99c82aadd5957386a031e3122011bd36d52
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Mon Dec 30 15:27:44 2013 -0500

    Fix dlmalloc warnings due to set_segment_flags, sizeof(size_t)

commit 994be3a5c1d0d17b19103396103e128517fd62f9
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Mon Dec 30 15:27:14 2013 -0500

    Darwin/iOS: Fix mis-typing of vfp_reg_free

commit a8e0a835ab1f62d03ad6391760e3e8b7732d24f8
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Mon Dec 30 15:26:20 2013 -0500

    Darwin/ARM: Assert on NULL dereference
    
    This inhibits an analyzer warning by Clang on all platforms.

commit 13675341581c489ed9df8ba390c8e08a732decb2
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Thu Jan 9 13:42:08 2014 -0500

    Darwin/i386: Inhibit Clang previous prototype warnings

commit 66469c381e2e2cc96e7d409266dea0ffe177eeca
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Thu Jan 9 13:41:45 2014 -0500

    Darwin/ARM: Inhibit Clang previous prototype warnings

commit 5bfe62a00d2d659eec9f19b39802b6e69844fc27
Author: Zachary Waldowski <zach@waldowski.me>
Date:   Thu Jan 9 13:41:27 2014 -0500

    Darwin/AArch64: Inhibit Clang previous prototype warnings

commit fa5f25c20f76a6ef5e950a7ccbce826672c8a620
Author: Marcus Comstedt <marcus@mc.pp.se>
Date:   Sat Jan 4 19:00:08 2014 +0100

    Linux/ppc64: Remove assumption on contents of r11 in closure

commit 1a0b01e171e9c750437cef2f18917f5a6e32c498
Author: Paulo Pizarro <paulo.pizarro@gmail.com>
Date:   Thu Jan 2 16:17:59 2014 -0200

    When the function called by the ffi called a function defined in a shared library generate a fatal error
    The correction was to take into consideration the GOT.

commit 3dc3f32c35db5ab995a835225f6815369735ceb7
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Dec 5 16:23:25 2013 -0500

    Undo iOS ARM64 changes.

commit 356b2cbc304bfe5bdc28b8d1c68d1ff084e9ec37
Merge: 484a758 07345a3
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 30 22:38:13 2013 -0500

    Merge branch 'master' of github.com:/atgreen/libffi

commit 484a7584260e2fbb399ce90083046834271bf9ff
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 30 21:06:51 2013 -0500

    Mention Aarch64 on iOS

commit 07345a30ec0a2fa45a7c363d301f57723690cfa0
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 30 21:06:51 2013 -0500

    Mention Aarch64 on iOS

commit d4b931c1b872378c35f12ddbb9a6d55e7f17c65e
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 30 20:58:31 2013 -0500

    Remove build-ios from Makefile

commit dfbf236d70fc1ec68e6ff193584a154353508e2f
Merge: 852ac3b bb9740e
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 30 20:54:54 2013 -0500

    Merge branch 'master' of github.com:/atgreen/libffi
    Add ChangeLog entry.

commit bb9740e545205f93a525c77aa6d1cbf4ca9371f3
Merge: ac75368 4d701e0
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 30 17:54:39 2013 -0800

    Merge pull request #60 from zwaldowski/ios-redo
    
    Mac/iOS support, including aarch64 port

commit 4d701e03faa475a5eb3b54b90046114a1e27b813
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 13:25:27 2013 -0500

    Darwin: Properly export headers from Xcode project

commit 022f12eb9ad2264e838fa5fb453733f5177888f4
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 12:21:38 2013 -0500

    Darwin: Freshen gen scripts, remove old build-ios.sh

commit e820fe2025d7ad3df7584407946dfaad2af69599
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 12:03:51 2013 -0500

    Darwin/iOS: Include x86_64+aarch64 pieces in library

commit 0278284e470ec91db7cdc15ac3dcd64683305848
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 03:03:37 2013 -0500

    Darwin/aarch64: size_t assumptions

commit 9775446b6441c91cd9059215c106aa3bcf949767
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 02:39:34 2013 -0500

    Darwin/aarch64: Fix “shadows declaration” warnings

commit 4260badc37705d3618e774dfe61184ac709881c1
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 02:08:14 2013 -0500

    Darwin/aarch64: Use Clang cache invalidation builtin

commit 9fa7998d5f9250908cbf12a671479852ebadf9d1
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 02:07:48 2013 -0500

    Darwin/aarch64: Inhibit Xcode warning

commit 0e832048a93830575b0976406444e134e649a4f7
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 02:07:34 2013 -0500

    Darwin/aarch64: double == long double

commit 602dc22d76931092610234cf063f9f1b8dbc1a51
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 02:06:00 2013 -0500

    Darwin/iOS prep script: try and compile for arm64

commit b513dfe79de4725e8a717325a9e3b5b9f69f63dc
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 02:05:22 2013 -0500

    Darwin/aarch64: Restrict .size to ELF like arm32.

commit bc978099bf2812de755c076b67ef9c2547607572
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 02:04:57 2013 -0500

    Darwin/aarch64: Potentially(?) fix compile error

commit d6bb9314467c6e0683156559d23ca341c43fa3c8
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 02:04:22 2013 -0500

    Darwin/aarch64: Use CNAME refs

commit 33c46ce5680eea28d3437c8771ec1d137e226b45
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 04:13:42 2013 -0500

    Darwin/Mac: Fix 64/32 shortening warnings

commit 0612081e6c161d9d820742f995975d35da2adbc2
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 03:03:00 2013 -0500

    Darwin: Misc size_t warnings

commit 6a6247d179ec3859311c2d8775841b884f309f66
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 02:55:48 2013 -0500

    Darwin: Fix dlmalloc warnings due to sizeof(size_t)

commit 4d60d9e1e32de6166ffd63bbe9ce54cf961c78fc
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 04:09:30 2013 -0500

    Darwin: Rebuild Xcode project

commit cb719a5c1c2eb391d6a5f5e02484ba4aa990a51b
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 04:09:18 2013 -0500

    Darwin/iOS: Fix LLVM 3.3 warning re: memcpy.

commit 21bde92c9abb378f9c456a9d95e6f9b99ef8c920
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 03:43:42 2013 -0500

    Darwin: Clean up, modernize generator scripts

commit fd54eab74cef7891e4acaaafb71e783142ecb69e
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Sat Nov 30 03:38:02 2013 -0500

    Darwin/Mac: Also exclude OS X generated source

commit 953b6f14c655141f9e7d82550a312c3eeb961091
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Tue Apr 24 11:16:20 2012 -0400

    Darwin/iOS: More unified syntax support w/ Clang.
    
    Signed-off-by: Zachary Waldowski <zwaldowski@gmail.com>

commit c713a55379481c339877f2e0003d97cb8d9ed80e
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Tue Apr 24 10:25:29 2012 -0400

    Darwin/iOS: Simplify RETLDM arguments for LLVM 3.1
    
    Signed-off-by: Zachary Waldowski <zwaldowski@gmail.com>

commit 16ba1b80028db5cb71cf86e5f79f5e48317f83c8
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Wed Apr 11 23:26:04 2012 -0400

    Darwin: Silence Clang warnings.

commit 852ac3bd302d6ed97b1ef65f4cbed69c258a48df
Merge: ab79d6e ac75368
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Nov 21 21:25:44 2013 -0500

    Merge branch 'master' of github.com:/atgreen/libffi
    
    Conflicts:
    	ChangeLog

commit ab79d6e21992dd86139ba07530ff888833b78a04
Author: Alan Modra <amodra@gmail.com>
Date:   Thu Nov 21 06:12:35 2013 -0500

    This separates the 32-bit sysv/linux/bsd code from the 64-bit linux
    code, and makes it possible to link code compiled with different
    options to those used to compile libffi.  For example, a
    -mlong-double-128 libffi can be used with -mlong-double-64 code.
    
    Using the return value area as a place to pass parameters wasn't such
    a good idea, causing a failure of cls_ulonglong.c.  I didn't see this
    when running the mainline gcc libffi testsuite because that version of
    the test is inferior to the upstreamm libffi test.
    
    Using NUM_FPR_ARG_REGISTERS rather than NUM_FPR_ARG_REGISTERS64 meant
    that a parameter save area could be allocated before it was strictly
    necessary.  Wrong but harmless.  Found when splitting apart ffi.c
    into 32-bit and 64-bit support.

commit ac7536889334d4be50709006d7e23536364d7891
Author: Alan Modra <amodra@gmail.com>
Date:   Thu Nov 21 06:12:35 2013 -0500

    This separates the 32-bit sysv/linux/bsd code from the 64-bit linux
    code, and makes it possible to link code compiled with different
    options to those used to compile libffi.  For example, a
    -mlong-double-128 libffi can be used with -mlong-double-64 code.
    
    Using the return value area as a place to pass parameters wasn't such
    a good idea, causing a failure of cls_ulonglong.c.  I didn't see this
    when running the mainline gcc libffi testsuite because that version of
    the test is inferior to the upstreamm libffi test.
    
    Using NUM_FPR_ARG_REGISTERS rather than NUM_FPR_ARG_REGISTERS64 meant
    that a parameter save area could be allocated before it was strictly
    necessary.  Wrong but harmless.  Found when splitting apart ffi.c
    into 32-bit and 64-bit support.

commit 69df91cfb4fa6bcb644350a80bff970f27478a6a
Merge: 2f45082 aa1f62c
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Nov 18 06:34:04 2013 -0800

    Merge pull request #59 from iains/powerpc-darwin-unwind-fix
    
    Fix PowerPC Darwin FDE encodings to use pcrel correctly.  Modernise the picbase labels.

commit aa1f62c0a093c30325dff1d4d2b6b4b22eb96929
Author: Iain Sandoe <iain@codesourcery.com>
Date:   Mon Nov 18 13:11:56 2013 +0000

    Fix PowerPC Darwin FDE encodings to use pcrel correctly.  Modernise the picbase labels.

commit 2f450822a8698ba88441c56d152c7dc8924b127f
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Nov 18 06:52:29 2013 -0500

    Clean up code to appease modern GCC compiler.

commit 16d56c51aded374730920a4acde76ff3d2860ae1
Author: Alan Modra <amodra@gmail.com>
Date:   Mon Nov 18 06:36:03 2013 -0500

    An #endif in the wrong place would cause compile failure on powerpcle.
    Using bl instead of b doesn't cause runtime failures as you might think,
    but does mess the processor branch prediction.

commit 34f878a5ef28663f6b1d7fd26fb099429ea1579e
Merge: 83f65b6 1fd0457
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 16 06:57:54 2013 -0500

    Merge branch 'master' of github.com:/atgreen/libffi
    
    Conflicts:
    	ChangeLog
    	src/powerpc/ffi.c

commit 83f65b63d9764a9cc7688fc5cda5ee2bd23faf54
Author: Alan Modra <amodra@gmail.com>
Date:   Sat Nov 16 06:53:50 2013 -0500

    Finally, this adds _CALL_ELF == 2 support.  ELFv1 objects can't be
    linked with ELFv2 objects, so this is one case where preprocessor
    tests in ffi.c are fine.  Also, there is no need to define a new
    FFI_ELFv2 or somesuch value in enum ffi_abi.  FFI_LINUX64 will happily
    serve both ABIs.

commit 1fd045784cac874b5d76b7fa931f67209a8280d3
Author: Alan Modra <amodra@gmail.com>
Date:   Sat Nov 16 06:53:50 2013 -0500

    Finally, this adds _CALL_ELF == 2 support.  ELFv1 objects can't be
    linked with ELFv2 objects, so this is one case where preprocessor
    tests in ffi.c are fine.  Also, there is no need to define a new
    FFI_ELFv2 or somesuch value in enum ffi_abi.  FFI_LINUX64 will happily
    serve both ABIs.

commit 362851379a49ce07d3e36e82c4e5c7b6cc16a352
Author: Alan Modra <amodra@gmail.com>
Date:   Sat Nov 16 06:52:43 2013 -0500

    Andreas' 2013-02-08 change reverted some breakage for struct return
    values from 2011-11-12, but in so doing reintroduced string
    instructions to sysv.S that are not supported on all powerpc variants.
    This patch properly copies the bounce buffer to destination in C code
    rather than in asm.
    
    I have tested this on powerpc64-linux, powerpc-linux and
    powerpc-freebsd.  Well, the last on powerpc-linux by lying to
    configure with
    
    CC="gcc -m32 -msvr4-struct-return -mlong-double-64" \
    CXX="g++ -m32 -msvr4-struct-return -mlong-double-64" \
    /src/libffi-current/configure --build=powerpc-freebsd
    
    and then
    
    make && make CC="gcc -m32" CXX="g++ -m32" \
    RUNTESTFLAGS=--target_board=unix/-m32/-msvr4-struct-return/-mlong-double-64\
     check

commit 1c06515d927d9de1582438d4eb5953890e79c5c7
Author: Alan Modra <amodra@gmail.com>
Date:   Sat Nov 16 06:41:36 2013 -0500

    The powerpc64 ABIs align structs passed by value, a fact ignored by
    gcc for quite some time.  Since gcc now does the correct alignment,
    libffi needs to follow suit.  This ought to be made selectable via
    a new abi value, and the #ifdefs removed from ffi.c along with many
    other #ifdefs present there and in assembly.  I'll do that with a
    followup patch sometime.
    
    This is a revised version of
    https://sourceware.org/ml/libffi-discuss/2013/msg00162.html

commit a97cf1fae575d8bfd5259c5c422025ad43911326
Author: Alan Modra <amodra@gmail.com>
Date:   Sat Nov 16 06:40:13 2013 -0500

    This patch prepares for ELFv2, where sizes of these areas change.  It
    also makes some minor changes to improve code efficiency.

commit 164283f4ac5972ce2ab5e015cc2ab1014c23276c
Author: Alan Modra <amodra@gmail.com>
Date:   Sat Nov 16 06:38:55 2013 -0500

    The powerpc64 support opted to pass floating point values both in the
    fpr area and the parameter save area, necessary when the backend
    doesn't know if a function argument corresponds to the ellipsis
    arguments of a variadic function.  This patch adds powerpc support for
    variadic functions, and changes the code to only pass fp in the ABI
    mandated area.  ELFv2 needs this change since the parameter save area
    may not exist there.
    
    This also fixes two faulty tests that used a non-variadic function
    cast to call a variadic function, and spuriously reasoned that this is
    somehow necessary for static functions..

commit 31257b3189f81a199bc2902c22bc5f2d7c54ccde
Author: Andrew Haley <aph@redhat.com>
Date:   Sat Nov 16 06:35:51 2013 -0500

    Fix sample closure code

commit db0ace3a38496af73eae3df02ef353736d16909f
Author: Andrew Haley <aph@redhat.com>
Date:   Sat Nov 16 06:29:25 2013 -0500

    Fix broken test cases

commit de10f5039ed7a53382ddcc95c368d03e535edb98
Merge: 58c2577 f3657da
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Nov 14 10:56:29 2013 -0500

    Merge branch 'master' of https://github.com/bivab/libffi
    
    Conflicts:
    	ChangeLog

commit f3657da278dd63afcdd8762894a9bdaea8ef028a
Author: David Schneider <david.schneider@bivab.de>
Date:   Thu Nov 14 13:02:16 2013 +0100

    update Changelog

commit 58c2577a3ff80e7416ef0434769e2af23365719c
Author: Alan Modra <amodra@gmail.com>
Date:   Wed Nov 13 16:55:36 2013 -0500

    This enshrines the current testsuite practice of using ffi_arg for
    returned values.  It would be reasonable and logical to use the actual
    return argument type as passed to ffi_prep_cif, but this would mean
    changing a large number of tests that use ffi_arg and all backends
    that write results to an ffi_arg.

commit 8af42f9944f7ed72c81ae360aac6a84dc11f89dc
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Nov 13 16:40:28 2013 -0500

    Respect HAVE_ALLOCA_H

commit cdf405d574f479b782454516366bd4f4b9b3415e
Author: David Schneider <david.schneider@bivab.de>
Date:   Wed Nov 13 15:50:21 2013 +0100

    add a testcase for the double/float issue on ARMHF

commit 77f823e31ffb557a466b24f7fba845fbf7831798
Author: David Schneider <david.schneider@bivab.de>
Date:   Wed Nov 13 14:26:57 2013 +0100

    stop trying to assing vfp regs once we are done with the registers

commit 37067ec5036f2a6ed7a4799f83f8f53160460344
Author: David Schneider <david.schneider@bivab.de>
Date:   Tue Nov 12 19:49:01 2013 +0100

    mark all vfp registers as used when done.
    
    To avoid assigning registers the would fit, once arguments have been on
    the stack, we mark all registers as used once we do not find a free
    register for the first time.

commit 2f5b7ce545473a7f6e41193edc29407cbebe82d5
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 9 06:16:32 2013 -0500

    UltraSPARC IIi fix.  Update README and build configury.

commit becd754434173032f426d22ffcbfe24f55b3c137
Author: Mark Kettenis <kettenis@gnu.org>
Date:   Wed Nov 6 06:43:49 2013 -0500

    Align the stack pointer to 16-bytes.

commit 05c31093409f7b3e6d795fac21d2c954313d8162
Author: Konstantin Belousov <kib@freebsd.org>
Date:   Wed Nov 6 06:40:58 2013 -0500

    Mark executable as not requiring executable stack.

commit cf6bf9818e8394cfcdb07a40c6a5e2ee6b01d333
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 2 17:23:59 2013 -0400

    Fix up docs

commit 02177176854d16fc0f1a5958aa34da2f306630ee
Merge: c242217 c265b4c
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 2 17:11:22 2013 -0400

    Merge branch 'master' of github.com:/atgreen/libffi

commit c2422174b3edc0de0b148dfd6b67087bb881c4a6
Merge: f4b843f d918d47
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 2 14:08:23 2013 -0700

    Merge pull request #45 from foss-for-synopsys-dwc-arc-processors/arc_support
    
    arc: Fix build error

commit c265b4cacb9130f042699a85de9c7242b3f49cc3
Merge: f4b843f d918d47
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 2 14:08:23 2013 -0700

    Merge pull request #45 from foss-for-synopsys-dwc-arc-processors/arc_support
    
    arc: Fix build error

commit f4b843f83710ac378c48abd87fe66bb519d30d2e
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 2 17:01:15 2013 -0400

    Don't align stack for win32

commit f3cd39345713db8e414cf642b6cb65a4cfe6018c
Merge: 666f3e7 6aa1590
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 2 13:17:57 2013 -0700

    Merge pull request #51 from vbudovski/for_upstream
    
    Don't use 16 byte aligned stack for WIN32

commit 666f3e71b56d92c49fcd2d7f349b8f8ebca0f8a3
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Oct 26 09:12:42 2013 -0400

    Add more credits to README.  Tidy up.

commit 73ada14e756bad97fad0e6915a821a3c7e079f81
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Oct 26 09:09:45 2013 -0400

    Update README

commit d3372c54ce7117e80d389ba875dc5b6b2213c71e
Author: Mark H Weaver <mhw@netris.org>
Date:   Sat Oct 26 08:30:06 2013 -0400

    Fix N32 ABI issue for MIPS.

commit d6716aba8118eb0513885cfe557bedebb7016e8b
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Oct 15 15:42:49 2013 -0400

    Update travis-ci build dependencies to include texinfo

commit 16b93a211bcfbe4bd0efdcf94de225a71aa0ee02
Author: Sandra Loosemore <sandra@codesourcery.com>
Date:   Tue Oct 15 15:33:59 2013 -0400

    Add nios2 port.

commit 2f5626ce02fce8267ab48ceb6d7d0ed7d672a75e
Author: Sandra Loosemore <sandra@codesourcery.com>
Date:   Tue Oct 15 15:32:16 2013 -0400

    Fix testsuite bug

commit f64e4a865557e440774436b4c2b2fd7374290e97
Author: Marcus Shawcroft <marcus.shawcroft@arm.com>
Date:   Tue Oct 15 15:20:14 2013 -0400

    Fix many.c testcase for Aarch64

commit 128cd1d2f358f26d9fa75a27cf2b30356f5dd903
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Oct 8 06:45:51 2013 -0400

    Fix spelling errors

commit ff06269d707cafbfef2a88afb07a79c9d1480c5f
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Oct 8 06:32:18 2013 -0400

    Update README for M88K and VAX

commit d2fcbcdfbea750d1f6a9f493e2e6c4d5ffa71b34
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Oct 8 06:27:46 2013 -0400

    Add m88k and VAX support. Update some configury bits.

commit 6aa15900accc0a648cdebf11ec11d11697ebfffd
Author: Vitaly Budovski <vbudovski@gmail.com>
Date:   Thu Sep 5 12:05:06 2013 +1000

    Don't use 16 byte aligned stack for WIN32
    
    This fixes a crash when accessing __stdcall functions in Python ctypes.

commit 3b44d41156149af8da2a58825fefdfa23274ae7a
Author: Makoto Kato <m_kato@ga2.so-net.ne.jp>
Date:   Wed Jul 10 15:34:53 2013 +0900

    Fix build failure when using clang for Android
    
    clang for Android generates __gnu_linux__ define, but gcc for Android doesn't.  So we should add check it for Android

commit d918d47809c174d62283306b282749f8db93661f
Author: Mischa Jonker <mjonker@synopsys.com>
Date:   Mon Jul 8 15:51:36 2013 +0200

    arc: Fix build error
    
    One part of the patch for ARC support was missing in the upstreamed
    version.
    
    Signed-off-by: Mischa Jonker <mjonker@synopsys.com>

commit d3d099b40c122550279789200263346f120f6909
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Jul 2 16:11:38 2013 -0400

    little-endian ppc64 support

commit 0f8690a84c874ec09a090c8c6adfb93c594acac6
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Jul 2 15:54:40 2013 -0400

    Rebuild for ARC additions

commit f88118b345f27c46f5445d6e4832c498ff9a6d85
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Jul 2 15:51:27 2013 -0400

    Revert "Merge pull request #36 from abergmeier/emscripten_fix"
    
    This reverts commit 6a4d901dde7b3f87984c563505717cde3113d16e, reversing
    changes made to b50a13b9c07ec09af4b9697e482acdad571e6961.

commit 6a4d901dde7b3f87984c563505717cde3113d16e
Merge: b50a13b 587002c
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Jul 2 12:12:34 2013 -0700

    Merge pull request #36 from abergmeier/emscripten_fix
    
    Fixes for building with Emscripten

commit b50a13b9c07ec09af4b9697e482acdad571e6961
Merge: 767f1f9 b082e15
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Jul 2 12:10:26 2013 -0700

    Merge pull request #44 from foss-for-synopsys-dwc-arc-processors/arc_support
    
    Add ARC support

commit 767f1f96e5282da44d7340e6815e9820a3f78e39
Merge: c3c40e0 b8a91d8
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Jul 2 12:08:04 2013 -0700

    Merge pull request #43 from JensTimmerman/__m128
    
    added include for xmmintrin.h

commit b8a91d81be77d479327fdb6bdd9fdae6d18e6e63
Author: Jens Timmerman <jens.timmerman@ugent.be>
Date:   Tue Jul 2 10:57:37 2013 +0200

    added include for xmmintrin.h

commit b082e15091961373c03d10ed0251f619ebb6ed76
Author: Mischa Jonker <mjonker@synopsys.com>
Date:   Mon Jun 10 16:19:33 2013 +0200

    Add ARC support
    
    This adds support for the ARC architecture to libffi. DesignWare ARC
    is a family of processors from Synopsys, Inc.
    
    This patch has been tested on a little-endian system and passes
    the testsuite.
    
    Signed-off-by: Mischa Jonker <mjonker@synopsys.com>

commit cc9b518687e46b0d1acafdd4bc3f3b281c25a3d9
Author: Marcin Wojdyr <wojdyr@gmail.com>
Date:   Tue May 14 15:01:23 2013 +0200

    Update libffi.pc.in
    
    use -L${toolexeclibdir} instead of -L${libdir}
    to be consistent with Makefile.am

commit 587002c092cffe6e7a8d7028f246c241d03b738c
Author: Andreas Bergmeier <andreas.bergmeier@gmx.net>
Date:   Fri Apr 19 17:12:24 2013 +0200

    Enable disabling of libtool on platforms where it does not work (e.g. LLVM).
    Build libraries normally then.

commit c3c40e0290377d7cf948b072eedd8317c4bf215e
Merge: ede96e4 4750e3c
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 30 05:24:14 2013 -0700

    Merge pull request #34 from davidsch/armhf
    
    Fix ARM hard-float support for large numbers of VFP arguments

commit 4750e3c662fd9569cb3e2d28f539685fd1ca8caf
Author: David Schneider <david.schneider@bivab.de>
Date:   Thu Mar 28 16:56:36 2013 +0100

    update changelog

commit 9708e7cf09f1bf815f4d6485eb1f180fabb35804
Author: David Schneider <david.schneider@bivab.de>
Date:   Wed Mar 27 19:31:04 2013 +0100

    folow the ARM hard-float ABI in ffi_prep_incoming_args_VFP

commit b41120981e5e49ca2da10b94b154775f50da5f36
Author: David Schneider <david.schneider@bivab.de>
Date:   Wed Mar 27 16:38:35 2013 +0100

    create separated versions of ffi_prep_incoming_args_* for SYSV and VFP ABIs.
    
    The different versions will be called depending on the value of cif->abi

commit dd26f1f39c54861c5b91931f0f37a72942c2a072
Author: David Schneider <david.schneider@bivab.de>
Date:   Thu Mar 28 15:39:01 2013 +0100

    add a failing test for closures on ARM hardfloat

commit 3c1608613ab3c2184222b98c5482cddedd6b559b
Author: David Schneider <david.schneider@bivab.de>
Date:   Tue Mar 26 19:24:47 2013 +0100

    extend ffi_prepare_args for FFI_VFP (hard-float ABI), fixing an issue with passing VFP arguments in VFP registers and the stack, while at the same time not using all core registers.

commit 0f2ff2d4c92719be8936179f9ab674f4d1a3fd14
Author: David Schneider <david.schneider@bivab.de>
Date:   Tue Mar 26 19:22:02 2013 +0100

    separate ARM ffi_prepare_args in a version implementing the simple SYSV calling convention and one for the hard-float calling convention

commit 3a352b8a8252400a83de22c7c424bf1887b4a2ef
Author: David Schneider <david.schneider@bivab.de>
Date:   Tue Mar 26 14:24:04 2013 +0100

    move the hardfloat specific argument copying code to the helper function

commit 5df6b7944a4225b6eb329f3886be64e04e966f29
Author: David Schneider <david.schneider@bivab.de>
Date:   Tue Mar 26 14:02:21 2013 +0100

    extract setting of arguments to be passed to a helper function

commit 7d1048c471bb4b1f9d67a9e9f8e95f9a1d2e6d45
Author: David Schneider <david.schneider@bivab.de>
Date:   Tue Mar 26 11:33:33 2013 +0100

    extract code to align the argument storage pointer to a helper function

commit b9f013788f0f384c423ad963475aaacb55598135
Author: David Schneider <david.schneider@bivab.de>
Date:   Mon Mar 25 13:27:36 2013 +0100

    add a testcase, that on ARM hardfloat needs more than the 8  VFP argument registers to pass arguments to a call

commit 2fbdb0f231cafdb77b025d3cd8afe90cda99b3ba
Author: David Schneider <david.schneider@bivab.de>
Date:   Mon Mar 25 13:26:02 2013 +0100

    use the absolute value to check the test result against an epsilon

commit ede96e4eb660bbf3e0fe048135efa8106f48af5d
Merge: f22ab3c 9e34992
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 17 18:38:21 2013 -0400

    Merge branch 'master' of github.com:/atgreen/libffi

commit f22ab3c6877cbdd07f058b68816b0086b1cb0e1e
Merge: 12b1886 d08124b
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 17 18:34:54 2013 -0400

    Merge branch 'master' of github.com:/atgreen/libffi

commit 9e34992a5ea2fda1dba5875bf96dc91a7230f51f
Merge: 12b1886 d08124b
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 17 18:34:54 2013 -0400

    Merge branch 'master' of github.com:/atgreen/libffi

commit 12b1886d7b1f8aa264b1d348bfa47a0e14712df4
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 17 18:32:12 2013 -0400

    cygwin fix & updates for 3.0.13

commit d08124bedf2c6d61874fe215404783aeb9f6f1ac
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 17 18:32:12 2013 -0400

    cygwin fix & updates for 3.0.13

commit cb32c812d04d1dfa72002cc04924e7e4fef89e02
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Mar 17 09:27:55 2013 -0400

    Fix lib install dir

commit efd7866a361a6f636bae8400d26c6811e56ca207
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 16 08:35:57 2013 -0400

    2.0.13rc1

commit ff647ad4dff2f07dd153f295a1f70b1d906cd6ca
Merge: 4acf005 d9dd417
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 16 08:20:40 2013 -0400

    Merge branch 'master' of github.com:/atgreen/libffi
    
    Conflicts:
    	ChangeLog

commit 4acf0056f55c757490dae6c29a65b0321327ea8a
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 16 08:18:45 2013 -0400

    Build fix for soft-float power targets

commit 675c9839224e4268187f1ec6f512127f9db555d0
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 16 08:12:38 2013 -0400

    Documentation fix

commit 8a286f570ccd41db81f74ea7f248da62241d898a
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 16 08:01:19 2013 -0400

    Fix for m68000 systems

commit d9dd417b09566af55b7b3000bb53ccaf2e1d6c92
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 16 08:01:19 2013 -0400

    Fix for m68000 systems

commit 215763d012a944d95406b394d6013b80d220e870
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 16 07:57:35 2013 -0400

    Update configury.

commit 9180d8f39c9b6afe17b78277c2711a5d9948e824
Merge: 2fb527a 7e1b326
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 16 07:46:55 2013 -0400

    Merge branch 'master' of github.com:/atgreen/libffi

commit 2fb527a017a4943e176a489ff103231b86464b59
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 16 07:46:38 2013 -0400

    Add Meta processor support

commit 211a9ebf4d1a9801e15e103566aed2b8c42790be
Merge: f308faf ee18766
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 16 04:24:40 2013 -0700

    Merge pull request #32 from alex/patch-1
    
    Fix for a crasher due to misaligned stack on x86-32.

commit 7e1b32649efd24814e86172e196f390566f9e970
Merge: f308faf ee18766
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 16 04:24:40 2013 -0700

    Merge pull request #32 from alex/patch-1
    
    Fix for a crasher due to misaligned stack on x86-32.

commit ee18766b169811426c14b011fbb46d81e344f926
Author: Alex Gaynor <alex.gaynor@gmail.com>
Date:   Thu Mar 14 15:00:33 2013 -0700

    Fix for a crasher due to misaligned stack on x86-32.
    
    Full information on reproduction (using Python's ctypes available here: http://bugs.python.org/issue17423)

commit f308faf1eabaf8dc24966ab17fbf94368f46b9c7
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Feb 11 14:25:13 2013 -0500

    Add moxie support.  Release 3.0.12.

commit 4ea22e54e3b143fe05c413f6dddd236af6bcbfb2
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Feb 10 08:48:38 2013 -0500

    Update README

commit 10e77227b6ae85f46f28590bfb09ca3608554358
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Feb 10 08:47:26 2013 -0500

    mend

commit a9521411a53d58f2bf88199242200ceb0d4dae3a
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Feb 9 06:54:40 2013 -0500

    sparc v8 and testsuite fixes

commit 70b11b47eea93bf43627588d494d0b3b0d062481
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 8 16:12:19 2013 -0500

    Fix small struct passing on ppc

commit 63ba1fa79f7c4ce42de848debe233aab31aecb51
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 8 15:18:19 2013 -0500

    Remove xfail for arm*-*-*.

commit 24fbca4c1d57d4ea628c0a8ba643684daf54a37e
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 8 14:19:56 2013 -0500

    Fix typo

commit b0fa11cb0a94ce6baca058eab9b10e40475e71d6
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 8 14:17:13 2013 -0500

    More man page cleanup

commit 8bd15d139a58a6e46dc90a1cb2d89f59f32f06c7
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 8 13:56:37 2013 -0500

    Fix many.c testcase for ppc

commit 7aab825cf198be85490d3cd80e778d415d85ad9b
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 8 13:26:21 2013 -0500

    Add missing files to dist

commit cb03ea8f4eb08024e44abe4392edc77b89fbfbad
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 8 12:25:18 2013 -0500

    sparc v9 fixes for sun tools

commit 35ee8d44f31dd3d3b88083c837dc351593e13cc2
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 8 07:12:41 2013 -0500

    Fix microblaze big-endian struct issue

commit 9db7e1a958fc484ba149efe027008b9a170395fb
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Feb 7 21:06:08 2013 -0500

    Fix botched sparc patch. Update version.

commit ce0138e61455f268af326e26908b9680ec2c4bea
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Feb 7 18:04:01 2013 -0500

    Update bug report address. rc2.

commit fd07c9e40451e0ec1d0475cd54a83d45ccaea2c0
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Feb 7 18:00:36 2013 -0500

    Add cache flushing routine for sun compiler on sparc solaris 2.8

commit ed6ae9501b2bab45daf93b4935eb0c977635b763
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Feb 7 16:43:36 2013 -0500

    Add libtool-ldflags. Define toolexeclibdir for non-GCC builds.

commit ffef2e046aaec853be356f0b8770a335185ea9cf
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Feb 7 15:47:01 2013 -0500

    x32 and libtool fixes

commit 95eecebb2858dc6f1495a61072ff36d0a8127144
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Feb 7 15:32:46 2013 -0500

    Remove a.out cruft from dist

commit 176aa9d2e23d9cd57d6f250692d910b408f9a651
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Feb 7 15:29:22 2013 -0500

    Fix GCC usage test and update README

commit f3a4f3fdde89b04d66983a42a25d09161c5d4d54
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Feb 7 09:57:20 2013 -0500

    Fixes for AIX xlc compiler.

commit 522f8fef49848927482bc63c94afaea5b84e5ec1
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 6 20:31:31 2013 -0500

    Fix man page. Clean out junk.

commit c4dfa259eb4e8e6f4c397868d7fee80aa0bb6a12
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 6 17:43:24 2013 -0500

    Bump soversion

commit f62bd63fe6123cadedb8b2b2c72eb549c40fbce9
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 6 17:38:32 2013 -0500

    Release candidate 1

commit f7cd61e9e68a4a51147df04d75bfe5b91b9d9286
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 6 17:38:04 2013 -0500

    Fix pkgconfig install bits

commit 6a790129427121f7db2d876e7218a3104e6d2741
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 6 17:37:15 2013 -0500

    Work around LLVM ABI problem on x86-64

commit 370112938e705128fd5dd4017fc1a1210bd0271a
Merge: bada2e3 bcc0c28
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Jan 27 05:09:04 2013 -0800

    Merge pull request #28 from jralls/master
    
    Reorder x86_64 checks

commit bcc0c28001b6d427d5cd8037d2e3c892babc6b4c
Author: John Ralls <jralls@ceridwen.us>
Date:   Sat Jan 26 15:21:14 2013 -0800

    Reorder x86_64 tests
    
    So that darwin and cygwin/mingw are tested before the generic check --
    which allows them to actually be set.

commit bada2e326d9a9acf3ae40cfa4f5d7a9ba97b2ea8
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 21 08:02:07 2013 -0500

    Update README

commit 655bb8f3690feba8e840a5f1854b1d78ed08f692
Merge: 1035ffb 840f975
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 21 08:01:24 2013 -0500

    Merge branch 'master' of github.com:/atgreen/libffi

commit 1035ffb2f468e1a1c401d58cff7e7abb69838e68
Merge: aeb8719 4086024
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 21 07:55:53 2013 -0500

    Update README

commit 840f975866052fdd91b2c224d56e01ae5900b60d
Merge: aeb8719 4086024
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 21 07:55:53 2013 -0500

    Merge branch 'master' of github.com:/atgreen/libffi

commit aeb8719a34756969970603fca4568530d56708af
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 21 07:37:30 2013 -0500

    New microblaze support

commit 40860245a4fd91a1b88adc9171ec993c549e45d5
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 21 07:37:30 2013 -0500

    New microblaze support

commit 20cae32b152b43679ae65a85db9a1c6bb8a143dd
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 21 07:07:38 2013 -0500

    Xtensa support

commit 9742f91782faef4a15941508a22c408fb7d1d227
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 21 07:03:41 2013 -0500

    Mention IBM XL compiler support on AIX.

commit f03eab08248f122ce3b623a18df9e19fae1b6e98
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Jan 11 17:14:11 2013 -0500

    Remove obsolete inline test functions

commit 05fbe1faedc7b2580d5f14010d00e9e3cee73951
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Jan 11 16:54:40 2013 -0500

    xlc compiler support

commit 0b4986a7889ed1864674192228f1162c1b5770a8
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Jan 11 11:19:52 2013 -0500

    [travis] install dejagnu with sudo

commit 3c337eef51ab9a4993fc875bfa26289dd6a08881
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Jan 11 11:18:14 2013 -0500

    [travis] install dejagnu

commit 90720962ce1baf9fc35d1bde1738102bcd5bd5ed
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Jan 11 10:57:30 2013 -0500

    Add first travis config file

commit bff052d9cd5be41ba9e47c76114054af487d3c30
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Jan 11 10:24:32 2013 -0500

    32-bit x86 fix and more

commit cd41aeab6176f839167955c016ecc19f65f75df3
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Jan 10 17:25:45 2013 -0500

    Add compiler column to table

commit 8bf987d4df7c4d21435b9211f6cc86abf5904b42
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Jan 10 17:24:51 2013 -0500

    Fix for sunpro compiler on Solaris

commit 3ee74fd6dc8ccd32b608bbff73526838fc34f70b
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Jan 10 17:15:03 2013 -0500

    Update documentation version.

commit 13e2d7b92557a9511a0414df82bf2df3edc55cba
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Jan 10 10:52:02 2013 -0500

    Handle both 32 and 64-bit x86 builds regardless of target triple

commit 5141543000fc86a3d49a907a2313713ee79e504d
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Jan 10 07:35:53 2013 -0500

    Don't run EH tests with non-GNU compiler

commit 56ba8d86f47937a0afb81a2b9e77c9d235d9db45
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Jan 10 07:25:10 2013 -0500

    Don't use warning checking macro with sun compiler

commit 6a028caec1b2c7904feb4c4f9cb7e1125e1d1b60
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Jan 10 01:19:43 2013 -0500

    Don't use GCCisms to define types when
    +       building with the SUNPRO compiler.

commit 2d9b3939751b3ef9739049509d353ade10b32a8f
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 9 21:14:54 2013 -0500

    Fix for closures with sunpro compiler

commit 8308984e479e3274a36e98e8272b5adbb6b774c2
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Jan 8 15:14:21 2013 -0500

    Make sure we're running dejagnu tests with the right compiler.

commit f26c7ca67147450db2fe25ea932944e6cf145d5c
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Jan 8 14:47:05 2013 -0500

    Make compiler options in dejagnu runs compiler specific

commit 74c776e21907fc2e59257c021f23077f8b7966cb
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Jan 8 12:25:54 2013 -0500

    Switch x86 Solaris to X86 from X86_64

commit 8962c8c8d06803e310bac0ffc8e84ea15daeff3f
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Jan 8 12:22:24 2013 -0500

    Fix read-only eh_frame test

commit 35ddb69c2b49746d940e919ca226ecc1be94f14a
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Jan 8 07:53:37 2013 -0500

    Only emit DWARF unwind info when building with GCC

commit f7879bc3f3a8d0bbfcc38771732c160a58ba9cd8
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Jan 8 07:30:28 2013 -0500

    Testsuite fix for Solaris vendor compiler

commit 67cea90fc0897021466fd102671019d30db474cd
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 7 06:30:24 2013 -0500

    mend

commit 0de3277b18cf54be3b81d509b9be9b47d9bc1e82
Author: Thorsten Glaser <tg@mirbsd.de>
Date:   Mon Dec 3 00:02:31 2012 +0000

    Testsuite fixes (was Re: [PATCH] Fix libffi on m68k-linux-gnu, completely)
    
    Dixi quod…
    
    >although I believe some 3.0.11 checks to be broken:
    
    And indeed, with a few minor changes on top of git master,
    I still get a full run of PASS plus one XPASS on amd64-linux!
    
    With the other patches (from this message’s parent) and
    these applied, I get a full PASS on m68k-linux as well.
    
    So, please git am these three diffs ☺
    
    bye,
    //mirabilos
    --
    FWIW, I'm quite impressed with mksh interactively. I thought it was much
    *much* more bare bones. But it turns out it beats the living hell out of
    ksh93 in that respect. I'd even consider it for my daily use if I hadn't
    wasted half my life on my zsh setup. :-) -- Frank Terbeck in #!/bin/mksh
    From 5cb15a3bad1f0fb360520dd48bfc938c821cdcca Mon Sep 17 00:00:00 2001
    From: Thorsten Glaser <tg@mirbsd.org>
    Date: Sun, 2 Dec 2012 23:20:56 +0000
    Subject: [PATCH 1/2] Fix tests writing to a closure retval via pointer casts
    
    As explained in <Pine.BSM.4.64L.1212022014490.23442@herc.mirbsd.org>
    all other tests that do the same cast to an ffi_arg pointer instead.
    
    PASS on amd64-linux (Xen domU) and m68k-linux (ARAnyM)
    
    Signed-off-by: Thorsten Glaser <tg@mirbsd.org>

commit 8f4772f383abd71cfa141c8a70ba11c1aa4ebe2c
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 7 06:14:53 2013 -0500

    m68k fixes for signed 8 and 16-bit calls.

commit ea7f8440d58afbebb181e295ff564fdf3d6590a0
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Jan 4 09:09:32 2013 -0500

    remove gcc-ism

commit f06c0f10377ac04eeba5e632dbe5c62c629df4e6
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 2 09:39:17 2013 -0500

    Add missing ChangeLog entry and generated files.

commit 1f8675d4c101d19d67ca0a55ff2ba973349558ad
Merge: 335f419 f6b58d2
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 2 06:34:38 2013 -0800

    Merge pull request #26 from rofl0r/master
    
    fix build error on ppc when long double == double

commit 335f419a86090cda9f215d149572f9481c3ad034
Merge: 53236d5 6d6f711
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 2 06:30:03 2013 -0800

    Merge pull request #23 from rurban/master
    
    cygwin/mingw shared libs need libtool LDFLAGS = -no-undefined

commit 53236d5061034cc0a7f4647fc1bd05ba1aeb3d2a
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 2 09:24:55 2013 -0500

    Regenerate files

commit 72222ca3fbe560e13c8dc89ca441b28b7cc74daf
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 2 09:06:38 2013 -0500

    Update texinfo.tex

commit 1e326c95431fc9896422fa36659f3e833852579c
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 2 09:05:02 2013 -0500

    Update config.guess and config.sub

commit cb6671f5b8a9596ff968c6b6c304f70adf71b368
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 2 08:56:07 2013 -0500

    Missing .gitignore changes for xcode support

commit ebbe77966855395a2a47ed2c09a38f93eb0481cf
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 2 08:54:05 2013 -0500

    missed x32 libtool patch.

commit 4394096da0aca0dd422b479a043c18b4f05c5770
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 2 08:51:35 2013 -0500

    missed trampoline_table patch. Move to GCC.

commit ed7a59c3ff7c84bd95c374a5aff21599f705e6dc
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 2 08:48:01 2013 -0500

    Windows symbol export fix.  Move to GCC.

commit ccee09a4ff843b11c7d8b6819776f57d187305c7
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 2 08:41:55 2013 -0500

    +2012-03-21  Peter Rosin  <peda@lysator.liu.se>
    +
    +       * testsuite/lib/target-libpath.exp [*-*-cygwin*, *-*-mingw*]
    +       (set_ld_library_path_env_vars): Add the library search dir to PATH
    +       (and save PATH for later).
    +       (restore_ld_library_path_env_vars): Restore PATH.

commit 089dbce7cc0889eb26444d89ae062c73c69f26f0
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 2 08:37:35 2013 -0500

    med

commit 980a334c42b4b0eff32e55929ec6727d1326b05d
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 2 07:36:42 2013 -0500

    Test GCC update

commit 8bad679ade5000e57cdc9cacde22e8b99840930f
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 2 08:28:35 2013 -0500

    New stand-alone patch

commit 981c32ee115e9f0d6546a74592875e138222a9d1
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Jan 2 07:34:03 2013 -0500

    Merge with GCC.  Eliminate quilt bits.

commit 61a054929517fb80c437ba71c91f3e20cfff581a
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Nov 28 06:07:41 2012 -0500

    Refresh config.guess and config.sub

commit f6b58d2bdc0a24ce94dedce59802f091979df265
Author: rofl0r <retnyg@gmx.net>
Date:   Thu Nov 22 16:26:21 2012 +0100

    fix build on ppc when long double == double

commit 69da33a0761aeac73f9e9646269da61c906d6020
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Nov 12 15:25:47 2012 -0500

    Pull in config.sub for aarch64 support and more

commit f680b598b7bdde325ac9349e8c35151c228bf2df
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Nov 6 16:00:40 2012 -0500

    Add missing aarch64 configury bits

commit dfadfb19853c57c8623c436d0ef2bdafab24b433
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Oct 31 06:46:41 2012 -0400

    Rebase for ppc64 fix

commit e944b8c7eb1e2eeb9c0f3b9742b4d7f476860ce1
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Oct 30 14:06:09 2012 -0400

    Add PaX work-around

commit 9ccd51be1fdeb99f8b4f42f905166c2abbba8ac0
Merge: f342996 fa5d747
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Oct 30 13:37:37 2012 -0400

    Fix commit conflicts

commit f342996cb50eb23b868afcff5ac0cdbb6b505d63
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Oct 30 07:42:27 2012 -0400

    Darwin12 fix

commit 58e8b66f70cef2e3c9b0e5a707b45d634cbbf5d9
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Oct 30 07:07:19 2012 -0400

    AArch64 port

commit fa5d747905472571fd472c07d4726017624f66b3
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Oct 30 07:07:19 2012 -0400

    AArch64 port

commit 6993a6686f43f2313b18142c1e96189a27db2aa3
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Oct 30 06:59:32 2012 -0400

    Fix autoconf macros

commit 70084e70ddb13b29dd05c751b1904de206bbe790
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Oct 12 23:55:06 2012 -0400

    Update Tile* port info

commit 9c00a3f6742d61404b31268cc773e7130ff43331
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Oct 12 16:46:06 2012 -0400

    TILE-Gx/TILEPro support

commit 048d2f41c3a6664b4b64bf21e804686662da4160
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Oct 11 10:55:25 2012 -0400

    Rebase

commit 6d6f71108064f5069edd7bf771059d3b82640135
Author: Reini Urban <rurban@cpanel.net>
Date:   Sat Jul 7 12:42:00 2012 -0500

    cygwin/mingw shared libs need libtool LDFLAGS = -no-undefined
    
    otherwise only static libs are created.

commit d330f19292da8f39a78a9e2b0ba08df8094e3bc5
Author: Nicolas Lelong <rotoglup>
Date:   Sat May 5 09:37:02 2012 -0400

    iOS build fixes.

commit 09b23cfc1d6d15361eee18818851fd3cacb26559
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Apr 27 08:29:48 2012 -0400

    Update README with Blackfin/uClinux support

commit 213ed15c70e72d666154c08e2b41dae3f61f20d3
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Apr 27 01:34:15 2012 -0400

    Add blackfin supprt from Alexandre Keunecke.

commit ff3d76fd427382ce7d2b2ed54acdd0bce470ca4f
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Apr 11 23:16:48 2012 -0400

    3.0.11

commit 7e0a412c4fd9cbe77b467a9bf86f56aea62632c3
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Apr 11 22:47:44 2012 -0400

    Update files to ship

commit 39e6a5860416f7bad992149817e1da1ba7c460d4
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Wed Apr 11 22:39:46 2012 -0400

    More mac/ios build improvements

commit 853cc722a16f8d1254573ef3bb73c7b8f3d8a110
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Apr 10 06:33:33 2012 -0400

    Fix typo for darwin targets

commit 3f5023068cda07a3dd6dacbaa875a5b5fc96d4bb
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Apr 6 20:34:51 2012 -0400

    mend

commit ebb8e8945681ce0af7a5c47a980287e8ece84b84
Author: Mike Lewis <mikelikespie@gmail.com>
Date:   Fri Apr 6 20:02:08 2012 -0400

    Build iOS library with xcode

commit a098b44f4c592c2192fcdef4fad6108eb3f4301c
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Apr 6 17:04:35 2012 -0400

    Reapply missing testsuite changes for arm

commit 10d1e51393f08c14045db85843208f44f9f1e9ba
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Apr 6 11:57:14 2012 -0400

    Update to rc4.  Upgrade autoconf version.

commit 9bcc884276dc0a807b2605e510b11b1740dd9aa2
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Apr 6 11:53:07 2012 -0400

    Fix Linux/x32 reference in README

commit a044a56b1cd2a0924f5ec0d6b5a5089d14fcd1a1
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Apr 6 10:39:10 2012 -0400

    Linux/x32 libtool fix

commit 59bb61a36661b972e8443531d3b7bc736e131a4b
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Apr 6 08:26:14 2012 -0400

    Update libtool version, README, tests dists

commit f2981454cbe25cf9411b710f46c5f5552003a123
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Apr 5 15:45:19 2012 -0400

    Revert debug code changes

commit 39dccddb606f6fdb8dcb177d416e884041da6e30
Author: Zachary Waldowski <zwaldowski@gmail.com>
Date:   Thu Apr 5 12:32:41 2012 -0400

    Fix building with Clang for Darwin (OS X 10.6+ and iOS
     4.0+)

commit 3afaa9a34a81a305227ae8cf4f12b9d0484d055e
Author: Peter Rosin <peda@lysator.liu.se>
Date:   Tue Apr 3 07:40:31 2012 -0400

    Fix return_uc.c test case on windows.

commit 65f40c35a2873d8328359ec4512bd0736dbe32c7
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Apr 3 07:35:59 2012 -0400

    Repair ppc build regression.

commit 0a1ab12a8d15caa894116a82249551f23ef65612
Author: Peter Rosin <peda@lysator.liu.se>
Date:   Fri Mar 30 08:14:08 2012 -0400

    Various MSVC-related changes.

commit e1539266e6c6dde3c99832323586f33f977d1dc0
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Mar 30 00:40:18 2012 -0400

    ARM VFP fix for old toolchains

commit 7c5e60b5f47d725036a72162f136272bc407e3a1
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Mar 29 08:48:22 2012 -0400

    Rebase on fixed GCC sources

commit e72ed5eeaa9cfb0fdc86f6b3422734177b659f96
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Mar 21 09:52:28 2012 -0400

    Fix vararg float test

commit bd78c9c3311244dd5f877c915b0dff91621dd253
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Mar 21 08:09:30 2012 -0400

    More cygwin fixes

commit 84d3253f86dad6b4f261231935675d35fd964b05
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Mar 19 23:07:35 2012 -0400

    Rebase post GCC merge

commit 964c5b93f80dcaacf73056b7d15a4d2b4b7a217c
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 3 14:46:20 2012 -0500

    abi check fixes and Linux/x32 support

commit 6c194233a5f6f1d274669afc5924a9e1f69d4876
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Mar 3 14:17:54 2012 -0500

    Add -no-undefined for both 32- and 64-bit x86
    windows-like hosts.

commit 8360bf1cd0aba8db5582266da70467de7e89a57a
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Feb 23 07:01:13 2012 -0500

    Ensure that users don't include ffitarget.h directly

commit d578b89619cf3d2baff027b203619dc307fc12e3
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 15 00:18:18 2012 -0500

    Fix ABI check regression

commit dee20f8e45c486f5018f31e09bb362992aa498c3
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 10 13:06:46 2012 -0500

    Rebased from gcc

commit 4130e1972d001143e5e9f3c6b65f2a6f9524169e
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 3 13:18:27 2012 -0600

    Refresh autoconf-archive m4 scripts

commit 1ff9c604bb214b5a305064af1049577ef783730a
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 1 16:34:30 2012 -0600

    Rebase from GCC

commit 211060eb8f714af0e935430efa6bb45e8e3ffc5d
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 23 14:24:01 2012 -0500

    Alpha fix

commit 78d9c638ba0de6edfbc603fd65d19c6562663248
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 23 14:17:24 2012 -0500

    mend

commit afaf3381604bd81803d8a5f3bf4d462299f1aac3
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 23 14:17:13 2012 -0500

    mend

commit 9e9c4aeb77de5608d602109f22100c1c0c79faad
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 23 14:11:23 2012 -0500

    Add Amiga support

commit 8efc0b1f4027d5a3cbf205e55d422d94e60f3226
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 23 13:47:38 2012 -0500

    Unlikely fixes

commit 1df51398ae183dc208ba4599ee867278b04d13d3
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 23 13:43:59 2012 -0500

    mend

commit cd2277cc796b96b149cd284ae85326529fe7fb9c
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 23 13:43:38 2012 -0500

    mend

commit 164e6fe04b189746c8bd5810c6e3e919770bb9d4
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 23 12:41:06 2012 -0500

    m68k fixes

commit c365ee7577bef00cb3c2c0b5224147aea04138d8
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jan 23 11:13:18 2012 -0500

    Refresh

commit f22c38bbd93bcc0c04bf26c3e414556b3177c385
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Nov 18 15:13:41 2011 -0500

    Update variadic patch

commit 03e9ee321a3c208f88d2432587ce40b2bb2430ba
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Nov 18 15:13:00 2011 -0500

    Fix cls_double_va.c and update docs

commit 95f31151ec792809cfb80d385350f9f56d95aa25
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 12 23:46:05 2011 -0500

    Rerun automake

commit 198ed1ef85cf18342627f8d44bc3f12c9975a49d
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 12 23:45:20 2011 -0500

    Update version number

commit 4f17e1f142e805b13959ba2594ee735eae439f4e
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 12 17:22:24 2011 -0500

    Fix last patch

commit ff9454da44859716a5bd4eaa344499288c79694f
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 12 17:18:51 2011 -0500

    Add David Gilbert's variadic function call support

commit ea14ae85e8f54ff046b7fb8a9cfe349475272044
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 12 16:36:59 2011 -0500

    clean up

commit 52891f8a93f9b8de801cca4cf05639422dc9773e
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 12 16:35:55 2011 -0500

    Add powerpc soft float support

commit c8f1bde8e2566c5a87474b4d08aa934d6d28ee75
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 12 16:21:02 2011 -0500

    Remove junk file

commit 6a6e7f862f3cc677e19131587caa619e7f9c7ffd
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 12 16:20:42 2011 -0500

    Fix kfreebsd

commit d52fbed05ccbdee9ed8b9c911cbb4f85b0ff0f2a
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 12 16:13:41 2011 -0500

    Add missing ChangeLog entry

commit 322052ce65c4fdac85bedc24726fd0e0094ba521
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 12 16:11:49 2011 -0500

    Fix arm wince alignment issue

commit af18df2bc2f52df81e7b5c619bd86db8489dc873
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 12 15:52:08 2011 -0500

    Remove use of ppc string instructions

commit 236c9391321f83ad40daf03f40c35c9ebc1da6b3
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 12 07:37:40 2011 -0500

    Fix darwin11 build problem

commit c411f140f305ebb00d33c92b7cb2742bcd241b6a
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 12 07:32:36 2011 -0500

    Fix ax_enable_builddir macro on BSD systems

commit 3d56106b07735abef6ae9f032e94f560a0ed2f30
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Nov 12 07:20:24 2011 -0500

    Rebase

commit 8c01954c50bf8ef2e00a3db166060a1b8f83a20d
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Sep 6 14:26:32 2011 -0400

    Build assembly files with debug info

commit fed646a2078969f4ce89c29107f1e72e03f4a977
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Sep 6 09:50:20 2011 -0400

    Regenerate configury with missing m4 macros

commit d76441cf71216f8f1e62e7ec852a7f4e21371ec8
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Aug 24 10:14:23 2011 -0400

    Update list of supported OpenBSD systems

commit ee6696fdf4768ba6dd037fb6dd99435afa13816e
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Aug 23 12:30:29 2011 -0400

    3.0.11-rc1. soname bump.

commit c6265c36a91eab8175d0e72db84d8225418f2379
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Aug 23 10:31:33 2011 -0400

    Version 3.0.10

commit cc5e41bf32d18a14dbdd653d52eacdbdc934c392
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Aug 22 16:34:24 2011 -0400

    Fix use of autoconf macros

commit 049d8386ff52399e69a530b55b9feedc8a2589d2
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Aug 22 14:50:10 2011 -0400

    Many new patches

commit 3b7efa4e74f0dcebf70b447391987aedd3473306
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Aug 15 13:25:13 2011 -0400

    Revert remove-debug-code patch temporarily (for ARM Fedora release)

commit d992ac54a2a9e7e064ffebcb91e05e7cb86185c7
Author: Anthony Green <green@gmachine.(none)>
Date:   Fri Jul 29 17:32:53 2011 -0400

    Refresh from GCC

commit 2d3fb36420e09304220ee6c0652bae5eccdb965d
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Mar 30 16:54:42 2011 -0400

    Fix darwin EH

commit 30ff28e1d8cd9ed5319f1fbe9c7cccacc8161fb3
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Feb 28 15:36:23 2011 -0500

    Fix permissions

commit 09f8f310f4f53a24289682d3d28f4399d7bafc3b
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Feb 28 15:36:07 2011 -0500

    More AIX fixes. rc9.

commit 53d7b165642c220aa5166ba350b490802f359b54
Merge: 18dd85d 3000dc2
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Feb 28 15:23:31 2011 -0500

    Merge branch 'master' of https://github.com/landonf/libffi-ios

commit 18dd85d6cb9f3f3eea2a3b70eb4e150045905c55
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 25 16:23:04 2011 -0500

    rc8. fix last patch.

commit 74ee6ea8b42e60d44a3ae8938b1e42a38c1e66b4
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 25 15:52:14 2011 -0500

    rc7.  More AIX fixes.

commit 2541679dbd3db0014890f42192dbf8008ab923fa
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 25 15:09:13 2011 -0500

    Fix ppc32 bug

commit cbb062cc35c518004f1ab45c847f8ec4f66069ad
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Feb 17 20:39:21 2011 -0500

    Another non-GCC configury fix

commit 8cf8878425e9971866fa6b27a3e4914729ad3960
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 15 15:19:49 2011 -0500

    Fix ax_cc_maxopt.m4

commit 24b72070c0937f9000744c77a636f07e04786b6a
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Feb 14 15:30:57 2011 -0500

    Fix warning and msvcc patches

commit d72c49e556a8c516e97f6722d1be2f1209c21207
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Feb 13 11:41:05 2011 -0500

    Add missing msvcc.sh

commit 3000dc237f6017a7445d8404097a4f46b73fdd29
Merge: 55e4a5a 1fbf9dc
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Feb 13 08:55:53 2011 -0500

    Merge remote branch 'upstream/master'

commit 1fbf9dc44feea564e84ad7406d17c5d5906ce0e0
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Feb 13 08:06:39 2011 -0500

    Fix bad_abi test. rc5.

commit 90af15ef5c1614b76370c4d13954586fabf9e8e3
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Feb 12 12:29:36 2011 -0500

    iOS fixes

commit 55e4a5aa1568558a04aa40f16fc022e459af53e3
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Feb 12 12:13:46 2011 -0500

    Add support for building a full armv6/armv7/i386 universal iOS library

commit a0c80f279b8733d001cb5e5c5a3289ecb7a6e56a
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Feb 12 11:43:49 2011 -0500

    Update my e-mail address.

commit 8195e0e11df7a53fa474caa9375f73ca1136ed66
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Feb 12 11:27:00 2011 -0500

    Fix symbol prefixes on Darwin.

commit 56b3f8cef0f28cefaa0f40fe0cf7c524adef131d
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Feb 12 11:14:54 2011 -0500

    Modify the ffi_closure structures to hold table/table entry pointers instead of a code buffer.
    
    This re-integrates commit da2773e02ab26cc11a7f.

commit 28a00f61ff3f64c4eb2269ce2aea3d493274469e
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Feb 12 11:01:48 2011 -0500

    Apple assembler support; fixed most gas/ELF-isms.

commit 7f2ea33a80bfced5e48ed7292f3b8f057d54ff8f
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Feb 12 10:39:18 2011 -0500

    Replace RETLDM macro.
    
    The macro is incompatible with Apple's assembler; switch to
    a simple inline version.

commit 92ff23e77fa586455b427b71f49e1d9502470e6e
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Feb 12 10:24:49 2011 -0500

    Switch to the current iOS 4.2 SDK.

commit 58fb8ca2dfb89ad70284bb9678d3d4dbb658c8a7
Merge: cc3fbd9 71c792f
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Feb 12 10:23:19 2011 -0500

    Merge remote branch 'upstream/master'

commit cc3fbd975ce9366d4c40a6ff6c108f664867bd7c
Merge: e449a43 f6ab3ed
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Feb 12 10:21:02 2011 -0500

    Merge branch 'master' of github.com:landonf/libffi-ios

commit e449a43bbe12f8119399928db1ae26adc71dde14
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Feb 12 10:20:42 2011 -0500

    Allow specification of the minimum supported iOS version.

commit 71c792f51bcf3e2f334e5ea1fb1a8b667cb3aedb
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Feb 12 09:33:11 2011 -0500

    rc4

commit 7c7c9f327299331022f6000603a35f2310dfe308
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Feb 12 09:29:29 2011 -0500

    ungccify parts of the build

commit ed62e48b95a0fa60b685f647cb73c9e190eec35c
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 11 12:23:58 2011 -0500

    Fix permissions

commit 17d9e9e68ddb1b915a0b9751713033861b598575
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 11 12:23:20 2011 -0500

    Use newer autotools.  Only build debug.c when --enable-debug.

commit 6972a4ffda75761eaab7dfbe0fb1516b255e8e0c
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 11 07:32:51 2011 -0500

    Fix xlc build on AIX

commit 1833aa0fb9831eb0725b63e35886c0f6d35df480
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Feb 11 07:11:04 2011 -0500

    sparc ABI test fix.

commit f1fb139b4e283fffdcf205a903943d5e9d2bb2a2
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 9 18:30:02 2011 -0500

    Fix tests

commit 5cb470331d181c84d5d621e88868327a324a5898
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 9 15:23:06 2011 -0500

    Fix permissions

commit 269deef6dbbb426695919d3398357fada3bb288c
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 9 15:22:23 2011 -0500

    rc3

commit 42695e72504f647444b8e8e9b90bd24f1e3220e1
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 9 15:12:35 2011 -0500

    Fix IRIX support

commit a6e56b97f62a3feeb3301c24a2e4cae55e546021
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 9 15:00:42 2011 -0500

    Add powerpc64-*-darwin* support

commit 747d6c32d4abb07c10c3a1f93579c3929aaa2487
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 9 14:56:23 2011 -0500

    Add Interix support

commit eab6e41cde382aa07de6c011d514a14c0d62eb47
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 9 10:15:02 2011 -0500

    Remove README.markdown form libffi-ios

commit 69dbe845f4ee3e6ce8999f17a1e4f2179ef7da89
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 9 07:38:43 2011 -0500

    Fix xfails

commit f498318c07b95137fe259d86bdbe15347588b84a
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 9 06:26:46 2011 -0500

    Update README for iOS again

commit 630b9c0ac43c7edcbfd892e23c09fb26724f4ac0
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 9 06:24:23 2011 -0500

    Update to rc2

commit 0cad4386fa4c9ea5f8ca88b16247db4e5c8fea90
Author: Anthony Green <green@moxielogic.com>
Date:   Wed Feb 9 06:11:46 2011 -0500

    Add ChangeLog entry.  Fix copyright headers.

commit 09cb76f2645bd2c151846e9249d8ea707ba01e8c
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 20:39:51 2011 -0500

    Add missing change

commit 2e3a48ccdd54340983c46a29a0b41985e3e789ac
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 20:37:26 2011 -0500

    Fix make dist

commit 5e4814d9928e236a2a4afe84d6e1d4fdaa473206
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 19:46:28 2011 -0500

    fix permissions

commit 5c0cc6f1536aa1738795a97303810a823c7fa2cb
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 19:45:59 2011 -0500

    3.0.10rc1

commit 857fe3de46d2286afa2fe772920ecf4aefa1688f
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 19:39:20 2011 -0500

    Clean ups

commit e2214f8adb5577c247452e2cc9f4cbe304d7ca9f
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 19:22:56 2011 -0500

    Update README

commit 1106229a5721a659da5c231ec0e8211119615394
Merge: bc9d0be f6ab3ed
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 19:20:09 2011 -0500

    Add iOS support

commit bc9d0be2958ce475757f34dd2c878948aa77a39f
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 17:04:26 2011 -0500

    3.0.10rc0 changes

commit 3b836249feae6d08d3e6887486e4b9961ddafa09
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 14:28:59 2011 -0500

    Rebase from GCC

commit a26e3940619faeba6de54824c9540c90b1aab513
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 13:56:12 2011 -0500

    copyright updates patch

commit b8099539f00e224107594101e9760b6dc081a056
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 13:50:43 2011 -0500

    Fix msvcc.sh botch

commit dc411e8f99113a34656bfd2d3ae51259972488cc
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 10:49:29 2011 -0500

    Fix HP-UX build

commit 404585d1348e30ac58203bbd876d9131e5aed874
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 10:44:36 2011 -0500

    Fix sparc v8 aggregate type returns for sun's compiler

commit 19ce713188e193e4522740d24c20170411883d2d
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 10:34:23 2011 -0500

    grammar fix

commit 89284fe55f1a8ad3bddbea796ee00d0e3ba411ce
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 10:19:19 2011 -0500

    Fix AIX build with IBM XLC

commit ba022c338af97cb18d9f8ed5a607fd483a61c09c
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 10:12:48 2011 -0500

    fix win64-underscore patch

commit 097e5f3924ee92a3ba6cd72f787da8a3eb14fea3
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 10:11:00 2011 -0500

    x86 pcrel test part 2

commit ed2c518d960b91d444be74e5a55779a9c4602f3b
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 10:10:07 2011 -0500

    x86 pcrel test

commit 0e5843995f46900ef212531281e08b224464f413
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Feb 8 07:52:40 2011 -0500

    Refresh from GCC

commit 5b9cd52784339a42e417174a55e310e214d435f9
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Nov 22 15:19:57 2010 -0500

    win64-underscore patch

commit 2db72615b50eb5c0f29725c02c740a2f0d7fc7d9
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Nov 21 10:50:56 2010 -0500

    Rebase

commit f6ab3edc23dc8fc7c47a31c896044150c23f04b5
Author: Landon Fuller <landonf@plausible.coop>
Date:   Wed Oct 27 19:34:51 2010 -0400

    Include the license header in the generated output.

commit cef619462887fa0f360e3ee702d1e04f112b5b38
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Wed Oct 27 13:59:30 2010 -0400

    Add missing copyright/license header.

commit 53f387b203413c9aa6e31f49dbb70d37d816330b
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 19:57:17 2010 -0700

    Minor README fix.

commit 4fbcb5b5fbce11f4b168060e00639db33c85b75b
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 19:50:37 2010 -0700

    Minor README fix.

commit 8e7652ef6acab5db7a29f786686a54f05cdbdc7d
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 19:49:39 2010 -0700

    Add a libffi-ios-specific github README.

commit 83038cf24aa1a92b62b91ffee1dcc25d79243484
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 14:36:45 2010 -0700

    Implement FFI_EXEC_TRAMPOLINE_TABLE allocator for iOS/ARM.
    
    This provides working closure support on iOS/ARM devices where
    PROT_WRITE|PROT_EXEC is not permitted. The code passes basic
    smoke tests, but requires further review.

commit b00ff3e98fdde622cef617030e14d5356dff988f
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 14:22:26 2010 -0700

    Rename the generated symbol

commit da2773e02ab26cc11a7fe87e985599f35cdf0649
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 14:21:37 2010 -0700

    Modify the ffi_closure structures to hold table/table entry pointers instead of a code buffer.

commit 01d71b7bed41844f80cb9feef20dcc5ece5ba2d0
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 14:21:14 2010 -0700

    Regenerated the autoconf script

commit 19afda0069c42e51c81dca7b10a5cf884b4cdce0
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 14:20:52 2010 -0700

    Enable AC_SUBST for FFI_EXEC_TRAMPOLINE_TABLE

commit 9e1196444e78aef20028c18891f44ebe39a815fd
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 10:43:06 2010 -0700

    Add a hard-coded FFI_EXEC_TRAMPOLINE_TABLE arm implementation.
    
    This implements support for re-mapping a shared table of executable
    trampolines directly in front of a writable configuration page, working
    around PROT_WRITE restrictions for sandboxed applications on Apple's
    iOS.
    
    This implementation is for testing purposes; a proper allocator is still
    necessary, and ARM-specific code needs to be moved out of
    src/closures.c.

commit f38364b399184e682fc3e785084bd497827bc5af
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 10:42:36 2010 -0700

    Fix symbol prefix for ffi_closure_SYSV_inner on Darwin.

commit 36849e7716b77aa25e4175d1f4be1b93dbf47aac
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 09:35:04 2010 -0700

    Whitespace/comment fixes.

commit b764162526854686e579a48b6ac5981f4eb886a3
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 09:04:34 2010 -0700

    Fix the script name (build-iphone.sh -> build-ios.sh)

commit a3d9aa85013341451ea97766485b7a11852d32b2
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 09:03:52 2010 -0700

    Update the autogenerated autoconf/automake files.

commit c71480eaf839f26bbdfcd8965f65ac4d8defddc0
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 09:02:05 2010 -0700

    Update automake/autoconf to conditionally build src/arm/trampoline.S if FFI_EXEC_TRAMPOLINE_TABLE is enabled.

commit 9af9291b73bc5e27ecd949bec8157f20426d65b8
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 08:52:33 2010 -0700

    Add the trampoline table generated by gentramp.sh

commit 68ce0c383ece84f69945d1c8c3fed03f7f9cb5d6
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sun Sep 19 08:38:19 2010 -0700

    Add a shell script that generates the ARM trampoline page.
    
    This generates a page of 340 trampolines, aligned within one page. The
    trampolines use pc-relative addressing to reference config data
    (context, jump address) from a page placed directly prior to the
    trampoline page. This can be used on systems -- such as iOS -- that do not
    support writable, executable memory by remapping the executable page
    containing the trampolines directly above a newly allocated writable
    config page.

commit 75af086be8830a8eafe9b1ebda199d788bcb0c62
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Sep 18 18:12:19 2010 -0700

    Update autoconf files

commit 1ac92cca9b02ef8d6a769f0de1adccd5c9630355
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Sep 18 18:08:14 2010 -0700

    Add autoconf check for W^X platforms that require a trampoline table.
    
    This adds the FFI_EXEC_TRAMPOLINE_TABLE. The flag is enabled for
    arm-apple-darwin, where PROT_EXEC on writable (or formerly writable) pages is
    not permitted for sandboxed binaries.

commit be72fbab29b7190c702d8e1ac3d149855e95879d
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Sep 18 18:02:25 2010 -0700

    Use the correct host triple for arm/darwin

commit 70150bdf4509269965c72f2032bf74f285767afe
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Sep 18 16:38:03 2010 -0700

    Add missing UNWIND entry; disables .pad on non-EABI targets.

commit 6b452bafaec498df975ba8ac4c99de174e5f74f7
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Sep 18 16:21:32 2010 -0700

    Apple assembler support; fixed most gas/ELF-isms.

commit 8ddac835b6f8b54ede764d0ea977dee4c82e2d67
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Sep 18 15:38:06 2010 -0700

    Fix placement of the __APPLE__ macro.

commit 69043d02936bb0579ac59b4ee1ed8dec38c38db7
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Sep 18 15:32:08 2010 -0700

    Work-around libffi's FP ABI detection.
    
    On iOS, we must use the AAPCS floating point return value calling
    conventions. libffi's ARM implementation will only use these conventions
    if __SOFTFP__ is defined, which is not the case when GCC's
    -mfloat-abi defaults to 'softfp' instead of 'soft'. To work around this
    we manually define __SOFTFP__ for Apple platforms in the ARM-specific
    sysv.S.
    
    See also:
      http://developer.apple.com/library/ios/#documentation/Xcode/Conceptual/iPhoneOSABIReference/Introduction/Introduction.html
      http://infocenter.arm.com/help/topic/com.arm.doc.ihi0042d/IHI0042D_aapcs.pdf

commit a82e6c354ea805114642a6e440abd0832cb1d23f
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Sep 18 14:44:24 2010 -0700

    Add a stub iOS build script to drive autoconf

commit 84e8de6e9fc19388f6f1102c013b7d0d52940ecc
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Aug 6 01:35:12 2010 -0400

    Restore execute permissions

commit 3aeecc9eb1a6feba6549849cdd335c926415a4fc
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Aug 5 15:19:00 2010 -0400

    Fix win64-struct-args patch

commit 00d0b59cd13f89ab8b44bd894eb7f0a131fcb472
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Aug 5 14:56:53 2010 -0400

    Fix debug build for windows

commit bda487e87064f27965155459a62dc52a744778d0
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Aug 5 09:02:41 2010 -0400

    Don't use -safeseh with ml64

commit c1d28ba8d5029795af313ffeb81c97efc6d4c847
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Aug 5 08:48:16 2010 -0400

    stdcall-x86-closure-fix

commit 5feacad4a56c85b3f23a267a30b2cf424cd59548
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Aug 5 08:30:04 2010 -0400

    define generic symbols carefully

commit 10ea848900bc3018ac213cef52b44cacbe5cbebc
Author: Anthony Green <green@moxielogic.com>
Date:   Thu Aug 5 08:24:27 2010 -0400

    don't copy win64 struct args

commit d14178be4c49c3ada44a9fe9efe11d444372ddab
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Jul 23 09:14:00 2010 -0400

    FFI_LAST_ABI fix

commit 3f5b1375ab1e2b8e3d593e21b27097a4a50f9b83
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Jul 12 14:39:18 2010 -0400

    rebase

commit eaf444eabc4c78703c0f98ac0197b1619c1b1bef
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Jul 10 08:59:09 2010 -0400

    Fix selinux test

commit 630974152247f100ece4d44f10c3721bb4599fbf
Author: Anthony Green <green@gmachine.(none)>
Date:   Wed May 5 20:14:56 2010 -0400

    Micharl Kohler's spelling fixes

commit 9dc9a293f3d4589fcaf02dd4288c8cebaefa508e
Author: Anthony Green <green@gmachine.(none)>
Date:   Tue Apr 13 10:33:52 2010 -0400

    Rebase to latest GCC sources

commit f2c2a4fce9b3eca9f39b4f3545118bc256da4a73
Author: Anthony Green <green@gmachine.(none)>
Date:   Tue Apr 13 10:19:28 2010 -0400

    Remove warnings and add OS/2 support

commit c0b69e57d529e33d18b658cc5572a21e3663247c
Author: Anthony Green <green@gmachine.(none)>
Date:   Tue Mar 30 08:30:22 2010 -0400

    Dan Witte's windows build fixes.

commit 59a259f4d348f593b45f452309f4d020a28051c4
Author: Anthony Green <green@gmachine.(none)>
Date:   Mon Mar 15 05:57:51 2010 -0400

    Remove junk file

commit 3de1eb36d37a66829e606421939874d0d60d816d
Author: Anthony Green <green@gmachine.(none)>
Date:   Mon Mar 15 05:57:24 2010 -0400

    fix-comments patch

commit c3813b6d7f8a777700f4c5862190c0db148d4de8
Author: Anthony Green <green@gmachine.(none)>
Date:   Tue Jan 26 16:48:56 2010 -0500

    Rebuild Makefiles with automake 1.11.1 for CVE-2009-4029.

commit 8d27f68baa365bf883b6053c5f6bc819646d5434
Author: Anthony Green <green@gmachine.(none)>
Date:   Fri Jan 15 11:35:37 2010 -0500

    Mention recent changes in README

commit ff3cd68b8cf2d9a28cad7aa9beff46236eacec8c
Author: Anthony Green <green@gmachine.(none)>
Date:   Fri Jan 15 11:27:24 2010 -0500

    Add msvc.sh wrapper

commit cadeba6cb53414a1253582f1719c286665de7b6c
Author: Anthony Green <green@gmachine.(none)>
Date:   Fri Jan 15 10:46:51 2010 -0500

    Microsoft Visual C port

commit 0739e7dc00db766eb64f502ec4137b817638c9a1
Author: Anthony Green <green@gmachine.(none)>
Date:   Fri Jan 15 09:48:33 2010 -0500

    Add x86 Sun Studio compiler support

commit edfdfd2e85b8d01d2455934f1d7f4d7eb2f3cf1c
Author: Anthony Green <green@gmachine.(none)>
Date:   Wed Jan 13 02:56:19 2010 -0500

    Add closure example doc

commit 7b7a42f221cf171e8d09df34cac6dc1fd8458cc3
Author: Anthony Green <green@gmachine.(none)>
Date:   Tue Jan 12 09:14:14 2010 -0500

    Rebase from GCC

commit 4b18d1f73dc7733137869e4ab5725cb90c1c8fde
Author: Anthony Green <green@gmachine.(none)>
Date:   Fri Jan 1 10:24:27 2010 -0500

    Add x86-64 MingW to README

commit c3042afaf3f84abbbe9c91bf9bc9896b0d9eb003
Author: Anthony Green <green@gmachine.(none)>
Date:   Fri Jan 1 08:08:02 2010 -0500

    Reset quilt patches post 3.0.9 merge with GCC

commit b0304e9679bdfec6ac45a57b5c96542697249418
Author: Anthony Green <green@gmachine.(none)>
Date:   Thu Dec 31 11:32:40 2009 -0500

    Update version

commit 2e7e03d014d9c9bf40e97ce75cba089ad052fa6b
Author: Anthony Green <green@gmachine.(none)>
Date:   Thu Dec 31 07:43:22 2009 -0500

    Final updates before 3.0.9

commit aea706c52825c8eee677ffa7fdbdd3aed1725492
Author: Anthony Green <green@gmachine.(none)>
Date:   Tue Dec 29 10:09:31 2009 -0500

    really 3.0.9rc12

commit 0cfe60e9d13f132b88995cfee41f2156344f6fa2
Author: Anthony Green <green@gmachine.(none)>
Date:   Tue Dec 29 10:06:04 2009 -0500

    3.0.9rc12

commit 14e2e92e8645804b6940b3e96c98e9f7f384a6b2
Author: Anthony Green <green@gmachine.(none)>
Date:   Sun Dec 27 21:03:33 2009 -0500

    3.0.9rc11

commit 884402787bf8eaf7ec207085037cf8ace2f660ec
Author: Anthony Green <green@gmachine.(none)>
Date:   Sat Dec 26 12:57:23 2009 -0500

    HPUX support and avr32 test fixes.

commit 01c78756aff22efb1f122f8e93e068d7bf2185c7
Author: Anthony Green <green@gmachine.(none)>
Date:   Sat Dec 26 10:05:18 2009 -0500

    3.0.9rc9

commit 70868464651320268d79c6894db5a50fdc11032a
Author: Anthony Green <green@gmachine.(none)>
Date:   Sat Dec 26 09:58:03 2009 -0500

    Remove xfails for mips and arm

commit 838d4ad920ec85cf5ca3b511221d67f6d9a99024
Author: Anthony Green <green@gmachine.(none)>
Date:   Sat Dec 26 09:57:27 2009 -0500

    Remove a bunch of xfails.

commit 7e37eaaf772f48906e69618c773b0a36c3927de9
Author: Anthony Green <green@gmachine.(none)>
Date:   Sat Dec 26 07:46:50 2009 -0500

    Fix huge_struct for solaris

commit 07cc7a37194bc34064ebed7f2724333a798411c8
Author: Anthony Green <green@gmachine.(none)>
Date:   Sat Dec 26 07:23:04 2009 -0500

    3.0.9rc8

commit 2b9be16ffabc81326128bc1bbdddff8ddc5d13d3
Author: Anthony Green <green@gmachine.(none)>
Date:   Sat Dec 26 07:04:45 2009 -0500

    3.0.9rc8

commit 9458d88f676e9a21ab8993a54e16754b11687419
Author: Anthony Green <green@gmachine.(none)>
Date:   Sat Dec 26 07:02:27 2009 -0500

    Rebase from GCC

commit 6a3412417593f068a04dc6163f4269cb295ad5ca
Author: Anthony Green <green@gmachine.(none)>
Date:   Sat Dec 26 06:51:33 2009 -0500

    Add Andreas Schwab's powerpc fix

commit 39c8792ece1043f41f4c395a2ce71f4cf0ff4674
Author: Anthony Green <green@gmachine.(none)>
Date:   Fri Dec 25 21:52:28 2009 -0500

    3.0.9rc7

commit 1d04af52e3e24db69f742064694c22f8df5cc70e
Author: Anthony Green <green@gmachine.(none)>
Date:   Fri Dec 25 09:50:36 2009 -0500

    Updated some mips XFAILs

commit 26e9509c9b7929bc4fcf697071699051a652b1fd
Author: Anthony Green <green@gmachine.(none)>
Date:   Fri Dec 25 02:19:23 2009 -0500

    Clean up ChangeLog.libffi for older patches.

commit 9c157d3215e4393777f83eb6fa801df6528f40d7
Author: Anthony Green <green@gmachine.(none)>
Date:   Fri Dec 25 02:15:40 2009 -0500

    Clean up undefine_AC_ARG_VAR_PRECIOUS patch.

commit d22de05b0bfc480766bc1240615ce2830eee71b8
Author: Anthony Green <green@gmachine.(none)>
Date:   Fri Dec 25 02:04:23 2009 -0500

    Fix patches

commit 1fe3dc7c20dc4dbd8fed0d19c8618027d44ed971
Author: Anthony Green <green@gmachine.(none)>
Date:   Fri Dec 25 01:39:00 2009 -0500

    Add windows support patch.

commit f7c0bc613a88f7dbc2d18b345c10fa438833c170
Author: Anthony Green <green@gmachine.(none)>
Date:   Fri Dec 25 01:22:11 2009 -0500

    3.0.9rc6

commit c7fa2da8260258c11ab1dc7ac06fb611a2c1b50f
Author: Anthony Green <green@gmachine.(none)>
Date:   Thu Dec 24 07:22:44 2009 -0500

    3.0.9rc6

commit da11bece0fde66fc0268db3a01207dda857e25d2
Author: Anthony Green <green@gmachine.(none)>
Date:   Thu Dec 24 05:34:46 2009 -0500

    Release 3.0.9rc5

commit e3399b11edeab546b066bfc18574f3edb905d0dc
Author: Anthony Green <green@gmachine.(none)>
Date:   Thu Dec 24 01:09:32 2009 -0500

    Update README

commit 115ab36fceee69740a01ce49bc27e1908cc237b1
Author: Anthony Green <green@gmachine.(none)>
Date:   Thu Dec 24 00:22:00 2009 -0500

    Update missing changes for 3.0.9r4.

commit f8c7a245bf5a80bd7e730ec03fcad17c8dcfcb07
Author: Anthony Green <green@gmachine.(none)>
Date:   Wed Dec 23 23:46:22 2009 -0500

    Switch to quilt. Rebase to latest GCC.

commit ce806772f02387b9a74f6496a263a368bccd5d59
Merge: cd98813 dcc1f6b
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Oct 5 00:41:35 2009 -0400

    Merge branch 'master' of git@github.com:atgreen/libffi

commit dcc1f6b4f1ffd2713bf68b791a13f85d455c8b1b
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Oct 5 00:29:33 2009 -0400

    More clean up.

commit 2829f5941a223b9d851d8ab6318318e6197d7e01
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Oct 5 00:28:03 2009 -0400

    Clean up

commit cd98813de517ea64041637e3e78d27a001d6d3b4
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Oct 5 00:25:29 2009 -0400

    From Jens Rehsack.  Fix for 64-bit AIX.

commit e4a91de766acc47f6c50f13cc11719a65e23ecba
Author: Anthony Green <green@moxielogic.com>
Date:   Mon Oct 5 00:16:17 2009 -0400

    From Abdulaziz Ghuloum.  Adds special case for Snow Leopard.

commit 3425a763bcdaadb8b430226f427ec833afdcc96a
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Oct 4 23:57:29 2009 -0400

    Fix detection of free/openbsd.  From Alexis Ballier.

commit 2340e7a777902de61499d47823ad8d5e0eeb6203
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Oct 4 23:53:17 2009 -0400

    AVR support

commit 5cbe2058c128e848446ae79fe15ee54260a90559
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Oct 4 23:53:11 2009 -0400

    Initial stand-alone patch.

commit c6dddbd02bad9654ed58cdb0feb360934d105dec
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Oct 4 08:11:33 2009 -0400

    Initial commit

commit 5ffc0c37486fb1538bccc0ca7acc807d4f1af932
Author: Anthony Green <green@moxielogic.com>
Date:   Sun Oct 4 07:58:22 2009 -0400

    Update version to 3.0.9rc1.  Add more useful things to .gitignore.

commit bd29f83ee9f6fa6b65adee9d3f57834f364d9887
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Sep 29 12:07:26 2009 -0400

    Add .gitignore

commit 9474f853f83e3f0167c1b306177321bfcc93e56d
Author: Anthony Green <green@moxielogic.com>
Date:   Tue Sep 29 11:13:02 2009 -0400

    Remove old CVSROOT files.

commit 0c25275ec24bfe2c2c25a000465f0950ef9dd51b
Author: twall <twall>
Date:   Wed Aug 19 12:57:34 2009 +0000

    Apply Dave Korn's cygwin/GCC changes

commit 39228c27ed3f677a95b46380a8d31602b5777e1a
Author: aph <aph>
Date:   Tue Jun 16 18:00:47 2009 +0000

    2009-06-16  Wim Lewis  <wiml@hhhh.org>
    
    	* src/powerpc/ffi.c: Avoid clobbering cr3 and cr4, which are
    	supposed to be callee-saved.
    	* src/powerpc/sysv.S (small_struct_return_value): Fix overrun of
    	return buffer for odd-size structs.

commit 5e93cc704d127c2c8ae7f5d2cef621145d43e777
Author: aph <aph>
Date:   Tue Jun 16 17:41:47 2009 +0000

    2009-06-16  Andreas Tobler  <a.tobler@schweiz.org>
    
    	PR libffi/40444
    	* testsuite/lib/libffi-dg.exp (libffi_target_compile): Add
    	allow_stack_execute for Darwin.

commit b509af8959dc371b92392c623522ea6f4946a71d
Author: aph <aph>
Date:   Tue Jun 16 16:17:52 2009 +0000

    2009-06-16  Andrew Haley  <aph@redhat.com>
    
    	* configure.ac (TARGETDIR): Add missing blank lines.
    	* configure: Regenerate.

commit d57e96dc56ee76fbbb9b59d73aeaa92354db5ecb
Author: aph <aph>
Date:   Tue Jun 16 09:59:02 2009 +0000

    2009-06-16  Andrew Haley  <aph@redhat.com>
    
            * testsuite/libffi.call/cls_align_sint64.c,
            testsuite/libffi.call/cls_align_uint64.c,
            testsuite/libffi.call/cls_longdouble_va.c,
            testsuite/libffi.call/cls_ulonglong.c,
            testsuite/libffi.call/return_ll1.c,
            testsuite/libffi.call/stret_medium2.c: Fix printf format
            specifiers.
            * testsuite/libffi.call/huge_struct.c: Ad x86 XFAILs.
            * testsuite/libffi.call/float2.c: Fix dg-excess-errors.
            * testsuite/libffi.call/ffitest.h,
            testsuite/libffi.special/ffitestcxx.h (PRIdLL, PRIuLL): Define.

commit b01d6d1982c9e020507029bfd5a58a8c60d111fa
Author: aph <aph>
Date:   Tue Jun 16 09:44:54 2009 +0000

    2009-06-16  Andrew Haley  <aph@redhat.com>
    
    	* testsuite/libffi.call/err_bad_typedef.c: xfail everywhere.
    	* testsuite/libffi.call/err_bad_abi.c: Likewise.

commit 35b6ded138591900a88055a8a8ac1fadc29a76d6
Author: aph <aph>
Date:   Fri Jun 12 15:29:20 2009 +0000

    2009-06-11  Kaz Kojima  <kkojima@gcc.gnu.org>
    
            * testsuite/libffi.call/cls_longdouble_va.c: Add xfail sh*-*-linux-*.
            * testsuite/libffi.call/err_bad_abi.c: Add xfail sh*-*-*.
            * testsuite/libffi.call/err_bad_typedef.c: Likewise.

commit acc46605f2d95d67d69398e7644610f10a157ce3
Author: aph <aph>
Date:   Fri Jun 12 14:21:28 2009 +0000

    2009-06-12  Andrew Haley  <aph@redhat.com>
    
            * ChangeLog.libffi: testsuite/libffi.call/cls_align_sint64.c,
            testsuite/libffi.call/cls_align_uint64.c,
            testsuite/libffi.call/cls_ulonglong.c,
            testsuite/libffi.call/return_ll1.c,
            testsuite/libffi.call/stret_medium2.c: Fix printf format
            specifiers.
            testsuite/libffi.special/unwindtest.cc: include stdint.h.

commit 16d1996ed0797bd7c11aca2b0fe7e7748751aaf6
Author: twall <twall>
Date:   Thu Jun 11 14:27:42 2009 +0000

    update changelog

commit 92a515c33efe91be3cb0258f01c63aff208489c7
Author: twall <twall>
Date:   Thu Jun 11 14:27:28 2009 +0000

    use ffi_closure_alloc instead of stack-based closure

commit e4363160ba9e50167f9ca0a7399d537a1d2cd0ce
Author: twall <twall>
Date:   Thu Jun 11 14:26:23 2009 +0000

    remove unused extern

commit 1dc2781d2ba38f5f000ff70069d617fb21e1d2af
Author: twall <twall>
Date:   Thu Jun 11 11:36:16 2009 +0000

    remove not-yet-applied changelog entries

commit bb27735fe689dac97ec0dc847ed8d3d519620109
Author: twall <twall>
Date:   Wed Jun 10 10:42:36 2009 +0000

    add win64 support

commit b2a54c100c74854a409820817d54617fdda39eb8
Author: aph <aph>
Date:   Mon Jun 8 16:50:49 2009 +0000

    2009-06-08  Andrew Haley  <aph@redhat.com>
    
    	* testsuite/libffi.call/err_bad_abi.c: Add xfails.
    	* testsuite/libffi.call/cls_longdouble_va.c: Add xfails.
    	* testsuite/libffi.call/cls_dbls_struct.c: Add xfail x86_64-*-linux-*.
    	* testsuite/libffi.call/err_bad_typedef.c: Add xfails.
    
    	* testsuite/libffi.call/stret_medium2.c: Add __UNUSED__ to args.
    	* testsuite/libffi.call/stret_medium.c: Likewise.
    	* testsuite/libffi.call/stret_large2.c: Likewise.
    	* testsuite/libffi.call/stret_large.c:  Likewise.

commit 25723e7141f73d3736d7244b980c89d97db852b6
Author: aph <aph>
Date:   Fri Jun 5 13:03:40 2009 +0000

    2009-06-05  Andrew Haley  <aph@redhat.com>
    
            * src/x86/win32.S (_ffi_closure_STDCALL): Import from gcc.

commit 70758199c7cd41f411987360ccb302b497a56dc9
Author: aph <aph>
Date:   Thu Jun 4 16:29:58 2009 +0000

     2009-06-04  Andrew Haley  <aph@redhat.com>
    
            * src/powerpc/ffitarget.h: Fix misapplied merge from gcc.

commit e8bb12563f9aa23ddf36fa6a5b92b16b5c3e1a7f
Author: aph <aph>
Date:   Thu Jun 4 14:59:18 2009 +0000

    2009-06-04  Andrew Haley  <aph@redhat.com>
    
    	* src/mips/o32.S,
    	src/mips/n32.S: Fix licence formatting.

commit d66a8e32c3671479e3ce0f6819673e5932ba6b7f
Author: aph <aph>
Date:   Thu Jun 4 14:43:40 2009 +0000

    2009-06-04  Andrew Haley  <aph@redhat.com>
    
    	* src/x86/darwin.S: Fix licence formatting.
    	src/x86/win32.S: Likewise.
    	src/sh64/sysv.S: Likewise.
    	src/sh/sysv.S: Likewise.

commit 7c3b7fd6b5db746b5b09a718f3044f811372f941
Author: aph <aph>
Date:   Thu Jun 4 14:39:20 2009 +0000

    2009-06-04  Andrew Haley  <aph@redhat.com>
    
    	* src/sh64/ffi.c: Remove lint directives.  Was missing from merge
    	of Andreas Tobler's patch from 2006-04-22.

commit 1a2f93a8b362db13638afd9fcb3f2650180bfa17
Author: aph <aph>
Date:   Thu Jun 4 10:45:51 2009 +0000

    2009-06-04  Andrew Haley  <aph@redhat.com>
    
            * src/sh/ffi.c: Apply missing hunk from Alexandre Oliva's patch of
            2007-03-07.

commit 944c95cf7aaaaf7c5fa368cda4673dd38f45020e
Author: aph <aph>
Date:   Wed Jun 3 17:42:56 2009 +0000

    2009-05-22  Dave Korn  <dave.korn.cygwin@gmail.com>
    
           * src/x86/win32.S (_ffi_closure_STDCALL):  New function.
           (.eh_frame):  Add FDE for it.
    
    2009-05-22  Dave Korn  <dave.korn.cygwin@gmail.com>
    
           * configure.ac:  Also check if assembler supports pc-relative
           relocs on X86_WIN32 targets.
           * configure:  Regenerate.
           * src/x86/win32.S (ffi_prep_args):  Declare extern, not global.
           (_ffi_call_SYSV):  Add missing function type symbol .def and
           add EH markup labels.
           (_ffi_call_STDCALL):  Likewise.
           (_ffi_closure_SYSV):  Likewise.
           (_ffi_closure_raw_SYSV):  Likewise.
           (.eh_frame):  Add hand-crafted EH data.
    
    2008-11-21  Eric Botcazou  <ebotcazou@adacore.com>
    
           * src/sparc/ffi.c (ffi_prep_cif_machdep): Add support for
           signed/unsigned int8/16 return values.
           * src/sparc/v8.S (ffi_call_v8): Likewise.
           (ffi_closure_v8): Likewise.
    
    2008-03-26  Kaz Kojima  <kkojima@gcc.gnu.org>
    
           * src/sh/sysv.S: Add .note.GNU-stack on Linux.
           * src/sh64/sysv.S: Likewise.
    
    2008-03-26  Daniel Jacobowitz  <dan@debian.org>
    
           * src/arm/sysv.S: Fix ARM comment marker.

commit 00fa972430bb1535a4b34bf029ebcad500027b0c
Author: twall <twall>
Date:   Sat Dec 27 16:59:05 2008 +0000

    properly glob-match

commit f5179e6794ac35af26fe86e468b8508a7a570c55
Author: twall <twall>
Date:   Fri Dec 26 19:06:28 2008 +0000

    Mark XFAIL on longdouble tests for x86_64/mingw

commit 80e2b5a749208c8a18f994ec5bee84594d051cc8
Author: twall <twall>
Date:   Mon Dec 22 15:21:15 2008 +0000

    clean up tests for win64 use

commit 7063d9996f742576095c7b0eb5016c0f9a670aec
Author: green <green>
Date:   Fri Dec 19 16:13:46 2008 +0000

    Version 3.0.8 with x86-solaris support

commit bdfeb13f0df0a63b19d62597517237b54d92228b
Author: green <green>
Date:   Fri Dec 19 15:47:44 2008 +0000

    Bump to 3.0.7

commit 69205de17d6ac4c11d4ba92d6a5b40a0c5f246b2
Author: green <green>
Date:   Thu Jul 24 18:03:48 2008 +0000

    Many test fixes (failures due to excessive compiler warnings).

commit 260d513fea00b3613fe957a44a157fe72c4ca29e
Author: green <green>
Date:   Thu Jul 17 13:13:52 2008 +0000

    Version 3.0.6.  sh/sh64 fixes.

commit 3704031875feabb74e3655ed03cff4c2b3c76ac6
Author: green <green>
Date:   Thu Apr 3 18:57:57 2008 +0000

    Rev 3.0.5.

commit 8406f5f48f7f58a1c982a93a95d521cf82b3241f
Author: green <green>
Date:   Thu Apr 3 18:57:34 2008 +0000

    3.0.5

commit 23a9e73212b62f9684cedb0ce70e92c59cfdaffa
Author: green <green>
Date:   Wed Mar 5 00:07:02 2008 +0000

    2008-03-04  Anthony Green  <green@redhat.com>
                Blake Chaffin
                hos@tamanegi.org
    
            * testsuite/libffi.call/cls_align_longdouble_split2.c
              testsuite/libffi.call/cls_align_longdouble_split.c
              testsuite/libffi.call/cls_dbls_struct.c
              testsuite/libffi.call/cls_double_va.c
              testsuite/libffi.call/cls_longdouble.c
              testsuite/libffi.call/cls_longdouble_va.c
              testsuite/libffi.call/cls_pointer.c
              testsuite/libffi.call/cls_pointer_stack.c
              testsuite/libffi.call/err_bad_abi.c
              testsuite/libffi.call/err_bad_typedef.c
              testsuite/libffi.call/huge_struct.c
              testsuite/libffi.call/stret_large2.c
              testsuite/libffi.call/stret_large.c
              testsuite/libffi.call/stret_medium2.c
              testsuite/libffi.call/stret_medium.c: New tests from Apple.

commit 429e37d3ad653e52e75bf725c883ab79e859f89a
Author: green <green>
Date:   Thu Feb 28 04:50:19 2008 +0000

    clicky

commit 51e79c428348c033314f54bcb30f7e388c59e347
Author: green <green>
Date:   Thu Feb 28 04:47:35 2008 +0000

    getclicky

commit affcab04e280efeace45a72c4dc6152c0e4f1b7f
Author: green <green>
Date:   Tue Feb 26 19:01:53 2008 +0000

    2008-02-26  Jakub Jelinek  <jakub@redhat.com>
                Anthony Green  <green@redhat.com>
    
            * src/alpha/osf.S: Add .note.GNU-stack on Linux.
            * src/s390/sysv.S: Likewise.
            * src/powerpc/linux64.S: Likewise.
            * src/powerpc/linux64_closure.S: Likewise.
            * src/powerpc/ppc_closure.S: Likewise.
            * src/powerpc/sysv.S: Likewise.
            * src/x86/unix64.S: Likewise.
            * src/x86/sysv.S: Likewise.
            * src/sparc/v8.S: Likewise.
            * src/sparc/v9.S: Likewise.
            * src/m68k/sysv.S: Likewise.
            * src/ia64/unix.S: Likewise.
            * src/arm/sysv.S: Likewise.

commit 59689d5522c159a3ac967adb6b891cf5f22c890f
Author: green <green>
Date:   Tue Feb 26 17:40:51 2008 +0000

    2008-02-26  Anthony Green  <green@redhat.com>
                Thomas Heller  <theller@ctypes.org>
    
            * src/x86/ffi.c (ffi_closure_SYSV_inner): Change C++ comment to C
            comment.

commit b13c84cf4668828ff8429ba4a2f94cd1eb574ae0
Author: green <green>
Date:   Tue Feb 26 17:38:15 2008 +0000

    2008-02-26  Anthony Green  <green@redhat.org>
                Thomas Heller <theller@ctypes.org>
    
            * include/ffi.h.in: Change void (*)() to void (*)(void).

commit 265289f679ffd24a88ae1aa2cef0e4aa14703cd8
Author: green <green>
Date:   Tue Feb 26 17:34:36 2008 +0000

    2008-02-26  Anthony Green  <green@spindazzle.org>
    
            * src/alpha/ffi.c: Change void (*)() to void (*)(void).
            src/alpha/osf.S, src/arm/ffi.c, src/frv/ffi.c, src/ia64/ffi.c,
            src/ia64/unix.S, src/java_raw_api.c, src/m32r/ffi.c,
            src/mips/ffi.c, src/pa/ffi.c, src/pa/hpux32.S, src/pa/linux.S,
            src/powerpc/ffi.c, src/powerpc/ffi_darwin.c, src/raw_api.c,
            src/s390/ffi.c, src/sh/ffi.c, src/sh64/ffi.c, src/sparc/ffi.c,
            src/x86/ffi.c, src/x86/unix64.S, src/x86/darwin64.S,>         src/x86/ffi64.c: Ditto.

commit fb5036cd6d0f909918e90f7d2d9fd80d46682d5d
Author: green <green>
Date:   Sun Feb 24 17:25:25 2008 +0000

    fix date

commit 40bec108e7d0181e6c9928aa7a33187bcc0f3d6f
Author: green <green>
Date:   Sun Feb 24 17:25:02 2008 +0000

    New release

commit b922048fa82ea109a4af269ee47bbc2a586bbac2
Author: green <green>
Date:   Sun Feb 24 17:24:00 2008 +0000

    2008-02-24  Anthony Green  <green@spindazzle.org>
    
            * configure.ac: Accept openbsd*, not just openbsd.
            Bump version to 3.0.4.
            * configure, doc/stamp-vti, doc/version.texi: Rebuilt.
            * libtool-version: Increment revision.
            * README: Update for new release.

commit affca4b92d06e5554784c7e9b233029ef83f7d8a
Author: green <green>
Date:   Fri Feb 22 21:53:29 2008 +0000

    sync readme with web page.

commit 3e53d8752ea74859b4c64fbbf935e62a937c4d78
Author: green <green>
Date:   Fri Feb 22 21:52:38 2008 +0000

    New release

commit 4d92f6c8e78fe084be65f3e8b58b859901ba796d
Author: green <green>
Date:   Fri Feb 22 21:49:46 2008 +0000

    2008-02-22  Anthony Green  <green@redhat.com>
    
            * configure.ac: Bump version to 3.0.3.
            * configure, doc/stamp-vti, doc/version.texi: Rebuilt.
            * libtool-version: Increment revision.
            * README: Update for new release.  Clean up test docs.

commit 0e185fa11a01f816824ba2687ed3715ab6219bef
Author: green <green>
Date:   Fri Feb 22 21:43:18 2008 +0000

    Update configure script.

commit f73986bd211cfbbaa593d1309504d0dc68626191
Author: green <green>
Date:   Fri Feb 22 21:40:53 2008 +0000

    2008-02-22  Bjoern Koenig  <bkoenig@alpha-tierchen.de>
                Andreas Tobler  <a.tobler@schweiz.org>
    
            * configure.ac: Add amd64-*-freebsd* target.
            * configure: Regenerate.

commit 0208f68fe5de30c33e7f70ebc281635917013f5a
Author: green <green>
Date:   Fri Feb 22 21:15:44 2008 +0000

    2008-02-22  Thomas Heller <theller@ctypes.org>
    
            * configure.ac: Add x86 OpenBSD support.
            * configure: Rebuilt.

commit 01adb0e638a86cf0d5e668ed8e08be9b0cd2505f
Author: green <green>
Date:   Thu Feb 21 16:17:26 2008 +0000

    Fix README.

commit 1edd4563225981a14f7d4fb9919b1ed88e38082f
Author: green <green>
Date:   Thu Feb 21 13:39:01 2008 +0000

    3.0.2

commit c9b542800864e2204db6e83f3843a17813ba6165
Author: green <green>
Date:   Thu Feb 21 13:36:43 2008 +0000

    add missing file

commit d5fa5633d5c8d3c212a2267cfa38fba4091baa2c
Author: green <green>
Date:   Thu Feb 21 13:36:19 2008 +0000

    2008-02-21  Anthony Green  <green@redhat.com>
    
            * configure.ac: Bump version to 3.0.2.
            * configure, doc/stamp-vti, doc/version.texi: Rebuilt.
            * libtool-version: Increment revision.
            * README: Update for new release.
    
    2008-02-21  Björn König <bkoenig@alpha-tierchen.de>
    
            * src/x86/freebsd.S: New file.
            * configure.ac: Add x86 FreeBSD support.
            * Makefile.am: Ditto.

commit ac35bfc6fcadd8880c1efce36724820f9074b318
Author: green <green>
Date:   Sat Feb 16 01:03:56 2008 +0000

    Updated

commit f7942975fee7b0162647dd79e2652615b737e98e
Author: green <green>
Date:   Sat Feb 16 01:02:00 2008 +0000

    2008-02-15  Anthony Green  <green@redhat.com>
    
            * configure.ac: Bump version to 3.0.1.
            * configure, doc/stamp-vti, doc/version.texi: Rebuilt.
            * libtool-version: Increment revision.
            * README: Update for new release.
    
    2008-02-15  David Daney  <ddaney@avtrex.com>
    
            * src/mips/ffi.c: Remove extra '>' from include directive.
            (ffi_prep_closure_loc): Use clear_location instead of tramp.

commit 59aa6bb1bfc86a610ac1a8b123443efd75854dd1
Author: green <green>
Date:   Fri Feb 15 20:52:26 2008 +0000

    Add more platforms.

commit 45a45ab99074448be0ae1a8d2ade50d28b60f8de
Author: green <green>
Date:   Fri Feb 15 19:16:36 2008 +0000

    3.0 notes

commit 4db74cbea888c9f1251b85baf00d99b83d3b994d
Author: green <green>
Date:   Fri Feb 15 19:10:26 2008 +0000

    Update

commit c3e1101ffabf44d8a2ee46e03ba9ab582050a825
Author: green <green>
Date:   Fri Feb 15 18:43:40 2008 +0000

    2008-02-15  Anthony Green  <green@redhat.com>
    
            * configure.ac: Bump version to 3.0.0,
            * configure, doc/stamp-vti, doc/version.texi: Rebuilt.
    
    2008-02-15  David Daney  <ddaney@avtrex.com>
    
            * src/mips/ffi.c (USE__BUILTIN___CLEAR_CACHE):
            Define (conditionally), and use it to include cachectl.h.
            (ffi_prep_closure_loc): Fix cache flushing.
            * src/mips/ffitarget.h (_ABIN32, _ABI64, _ABIO32): Define.

commit 7e0cc12e9233ad285db41ce8dbdda61ed2a7fb06
Author: green <green>
Date:   Fri Feb 15 15:51:03 2008 +0000

    New release

commit 2d7dc885ec40d53866f29984d595511942c8b686
Author: green <green>
Date:   Fri Feb 15 15:30:26 2008 +0000

            * man/ffi_call.3, man/ffi_prep_cif.3, man/ffi.3:
            Update dates and remove all references to ffi_prep_closure.
            * configure.ac: Bump version to 2.99.9.
            * configure, doc/stamp-vti, doc/version.texi: Rebuilt.

commit a0525f03eeaaed33b1eac80e0c016455cee3615d
Author: green <green>
Date:   Fri Feb 15 15:14:30 2008 +0000

    New release.

commit 2b30dfb3146ee26ad956d00ee05eb835ca1a95b4
Author: green <green>
Date:   Fri Feb 15 15:12:43 2008 +0000

            * man/ffi_prep_closure.3: Delete.
            * man/Makefile.am (EXTRA_DIST): Remove ffi_prep_closure.3.
            (man_MANS): Ditto.
            * man/Makefile.in: Rebuilt.
            * configure.ac: Bump version to 2.99.8.
            * configure, doc/stamp-vti, doc/version.texi: Rebuilt.

commit bf41e64840ebcb6cc31a6f028253c1fde82705d8
Author: green <green>
Date:   Fri Feb 15 01:56:50 2008 +0000

    Update.

commit 4d39ddee677bbb61d621893b91e11eac5e7c4af7
Author: green <green>
Date:   Fri Feb 15 01:24:06 2008 +0000

    * configure.ac: Bump version to 2.99.7.
            * configure, doc/stamp-vti, doc/version.texi: Rebuilt.
            * include/ffi.h.in LICENSE src/debug.c src/closures.c
              src/ffitest.c src/s390/sysv.S src/s390/ffitarget.h
              src/types.c src/m68k/ffitarget.h src/raw_api.c src/frv/ffi.c
              src/frv/ffitarget.h src/sh/ffi.c src/sh/sysv.S
              src/sh/ffitarget.h src/powerpc/ffitarget.h src/pa/ffi.c
              src/pa/ffitarget.h src/pa/linux.S src/java_raw_api.c
              src/cris/ffitarget.h src/x86/ffi.c src/x86/sysv.S
              src/x86/unix64.S src/x86/win32.S src/x86/ffitarget.h
              src/x86/ffi64.c src/x86/darwin.S src/ia64/ffi.c
              src/ia64/ffitarget.h src/ia64/ia64_flags.h src/ia64/unix.S
              src/sparc/ffi.c src/sparc/v9.S src/sparc/ffitarget.h
              src/sparc/v8.S src/alpha/ffi.c src/alpha/ffitarget.h
              src/alpha/osf.S src/sh64/ffi.c src/sh64/sysv.S
              src/sh64/ffitarget.h src/mips/ffi.c src/mips/ffitarget.h
              src/mips/n32.S src/mips/o32.S src/arm/ffi.c src/arm/sysv.S
              src/arm/ffitarget.h src/prep_cif.c: Update license text.

commit d58b032b41a12bd3d72148da6822ab59dd698ff9
Author: green <green>
Date:   Fri Feb 15 00:59:25 2008 +0000

    New release

commit 91e5478df6d5ac63efbb10f025807b4606afab56
Author: green <green>
Date:   Fri Feb 15 00:50:30 2008 +0000

    Update supported platforms.  Bump version.

commit bd0768f877c8f7fd0d36af2191b203d4d057b1ce
Author: green <green>
Date:   Fri Feb 15 00:45:33 2008 +0000

    * configure.ac: Bump version to 2.99.5.
            * configure: Rebuilt.
            * Makefile.am (EXTRA_DIST): Add darwin64.S
            * Makefile.in: Rebuilt.
            * testsuite/lib/libffi-dg.exp: Remove libstdc++ bits from GCC tree.
            * LICENSE: Update WARRANTY.

commit 49d345f767bd2cfee951bceaab6a1a07986cf293
Author: green <green>
Date:   Thu Feb 14 23:43:27 2008 +0000

    update license reference

commit 12ac48fc79b515db7c9accd9fcaa87b0dcefccdb
Author: green <green>
Date:   Thu Feb 14 23:42:08 2008 +0000

    Update WARRANTY

commit 6b91c41da87e78552f2990dfc504a0a3349f340b
Author: green <green>
Date:   Thu Feb 14 23:38:27 2008 +0000

    fix tarball reference

commit 2b59579e3533334bee4788e076b4e520c2ab518c
Author: green <green>
Date:   Thu Feb 14 23:35:58 2008 +0000

    First update in 5 years!

commit 6cbdf3f3a3777a93382a2d508ddef1c353ff0955
Author: green <green>
Date:   Thu Feb 14 22:44:06 2008 +0000

    Fix .pc file bug and bump version

commit 1d1dc81104b209df3cfef0840735c59efae2f655
Author: green <green>
Date:   Thu Feb 14 22:03:37 2008 +0000

    Add man files and info file. Update README.  Tag as 2.99.3.

commit f045a2367f793fa8b01534cf2e25bcc46afc8fa1
Author: tromey <tromey>
Date:   Thu Feb 14 20:46:57 2008 +0000

    Move entry from ChangeLog to ChangeLog.libffi

commit 6257f07d1a9efd27fa83639cfba281f5d3188731
Author: tromey <tromey>
Date:   Thu Feb 14 20:33:17 2008 +0000

    	* aclocal.m4, Makefile.in, configure, fficonfig.h.in: Rebuilt.
    	* mdate-sh, texinfo.tex: New files.
    	* Makefile.am (info_TEXINFOS): New variable.
    	* doc/libffi.texi: New file.
    	* doc/version.texi: Likewise.

commit 4232af563c5509c3760a33e3684a2b958be755e1
Author: green <green>
Date:   Thu Feb 14 16:19:21 2008 +0000

            * Makefile.am (AM_CFLAGS): Don't compile with -D.
            (lib_LTLIBRARIES): Define.
            (toolexeclib_LIBRARIES): Undefine.
            * Makefile.in: Rebuilt.
            * configure.ac: Reset version to 2.99.1.
            * configure.in: Rebuilt.

commit 961543615c31f092b578a4b4cda914db64f9d0fa
Author: green <green>
Date:   Thu Feb 14 15:57:40 2008 +0000

    Fix typo.

commit aeb0abab87222f637fbf352d4effd3b76b52ed26
Author: green <green>
Date:   Thu Feb 14 15:54:27 2008 +0000

          * libffi.pc.in: Usse @PACKAGE_NAME@ and @PACKAGE_VERSION@.
            * configure.ac: Reset version to 2.99.1.
            * configure.in: Rebuilt.
            * Makefile.am (EXTRA_DIST): Add ChangeLog.libffi.
            * Makefile.in: Rebuilt.
            * LICENSE: Update copyright notice.

commit 77fe243556433eae119d8bd7469bfccdd5bd8a1a
Author: green <green>
Date:   Thu Feb 14 15:37:00 2008 +0000

    Fix make dist again

commit d4970cf4529459bf0f0e43c602cac396786c6802
Author: green <green>
Date:   Thu Feb 14 15:18:56 2008 +0000

    Fix make dist

commit f0b1462f2d3024922ad71421bd5c4311fcb16da5
Author: green <green>
Date:   Thu Feb 14 15:01:41 2008 +0000

    Use pkgconfig.  Increment libtool CURRENT version.

commit 27e52f33baa069012a5adb2a3807f9ca1f2165ab
Author: green <green>
Date:   Sun Feb 3 13:59:48 2008 +0000

    Fix header installs when using DESTDIR.

commit fadab28eb6e33fb6dcdd7b9323e147142216d548
Author: twall <twall>
Date:   Sun Feb 3 12:32:22 2008 +0000

    update changelog

commit b5e44c8dfa92c87b99762c303cf5574a16db8f27
Author: twall <twall>
Date:   Sun Feb 3 01:12:32 2008 +0000

    offset from code base address, not data base address

commit f359848d1a995c0e44566d815f218729dc996e22
Author: green <green>
Date:   Fri Feb 1 21:29:43 2008 +0000

    Fix header installs.

commit c30df49e157c7bfc8e19e3f8a72b9464fe225e54
Author: green <green>
Date:   Fri Feb 1 21:13:55 2008 +0000

    Revert my broken changes to twall's patch.

commit 675561bb9aa0732c76698df10dd3007b5d0ec759
Author: green <green>
Date:   Thu Jan 31 13:44:25 2008 +0000

    Fix make dist .

commit abc0bbf3813dc43e23d4c23e6fe794dbf287639b
Author: green <green>
Date:   Thu Jan 31 11:58:57 2008 +0000

    Add Tim Wall's x86 windows patch.

commit e332366d15a31198735b593ec8f7fc0558d783b8
Author: green <green>
Date:   Wed Jan 30 13:21:02 2008 +0000

    Add HJ's -fomit-frame-pointer struct return fix

commit d4204240392af5b7750a08671b08e9c22dff5e93
Author: green <green>
Date:   Wed Jan 30 12:42:34 2008 +0000

    Clean up for new automake.

commit f4932dd020df574637c9fb3fc1bb18e5a8f304cc
Author: green <green>
Date:   Wed Jan 30 12:40:25 2008 +0000

    Fixes to run testsuite

commit 085520ddc8db6a916bfc416b871fcb2d00074d40
Author: green <green>
Date:   Tue Jan 29 15:16:43 2008 +0000

    New files from gcc tree.

commit 77175b3f7234e4875a4ef554ed1fe9fdc4133794
Author: green <green>
Date:   Tue Jan 29 15:15:20 2008 +0000

    Latest gcc svn sources

commit 2544e45a0b2b634053df02da3a2ed9680eeed2a1
Author: green <green>
Date:   Tue Jan 29 14:28:13 2008 +0000

    Install ffitarget.h in $prefix/include.

commit 6002211b1cc4daeb587d054b4f83968bda2c981e
Author: green <green>
Date:   Tue Jan 29 12:30:10 2008 +0000

    Add new files.

commit ccabd2b16be883cd03e5f0cd88ccfdd6ca39239d
Author: green <green>
Date:   Tue Jan 29 12:28:15 2008 +0000

    Merge from gcc

commit e680ecfbfca1da8d1823e48bc89b8375e66e128b
Author: tromey <tromey>
Date:   Sun Dec 24 23:12:15 2006 +0000

    Pulled in libffi from gcc trunk.
    Fixed build and install for standalone use.

commit e7ba08965942ce872fdbc69f70f9848cc3d0bad6
Author: root <root>
Date:   Sun Jun 4 23:22:24 2006 +0000

    sourcware.org

commit 0cd4aa24e21aaa964dfbdebc25ec5c8188049375
Author: root <root>
Date:   Sun May 30 01:51:57 2004 +0000

    Add LockDir

commit 5826120fbd940d26cca76ed2522187505581e1ed
Author: green <green>
Date:   Tue Nov 4 06:09:08 2003 +0000

    Add link to Gianni's web site.

commit 220aa4b27db42d7ffaac5056000d5179f00d5ea3
Author: jsm <jsm>
Date:   Tue Jan 21 08:07:42 2003 +0000

    Newer, better, increased from before!  (list of acceptable anon usernames)

commit 1c3adc892cc1403dc4d3d7003a2385899836612e
Author: green <green>
Date:   Fri Dec 6 01:28:03 2002 +0000

    Fixed Cygnus references.

commit 4af66bb62fab9a8e318af3bf01e5486596a0c8d4
Author: green <green>
Date:   Sun Oct 21 19:18:42 2001 +0000

    Testsuite fixes.

commit 5435965f9015ce40584c98d3816c3d05e7de1d21
Author: green <green>
Date:   Mon Apr 23 00:32:03 2001 +0000

            * include/ffi_common.h: Delete, after moving contents to...
            * include/ffi_private.h: Subsume contents of ffi_common.h.
            * include/Makefile.am (noinst_HEADERS): Remove ffi_common.h.
            * include/Makefile.in: Rebuilt.
            * arm/ffi.c, m68k/ffi.c, mips/ffi.c, powerpc/ffi.c, s390/ffi.c,
            ia64/ffi.c: Include ffi_private.h, not ffi_common.h.
            * alpha/ffi.c, sparc/ffi.c, x86/ffi.c: Don't include ffi_common.h.
            * types.c, raw_api.c, java_raw_api.c, prep_cif.c: Don't include
            ffi_common.h.
            * debug.c: Include ffi_private.h instead of ffi_common.h.
    
            * mips/ffi.c (calc_n32_struct_flags): Make static.
            (FIX_ARGP): Remove call to debugging routine ffi_stop_here.
    
            * mips/n32.S: Include ffi_private.h.
            * mips/o32.S: Include ffi_private.h.

commit 6fdb7de0fe3b7385e1fd78812ae69d9b3069d994
Author: green <green>
Date:   Sun Apr 22 19:38:34 2001 +0000

            * README: Update some comments.
    
            * Makefile.am (SUBDIRS): Add include so ffi.h gets installed.
            * Makefile.in: Rebuilt.
    
            * include/ffi.h: Change ALPHA to __alpha__ and SPARC to __sparc__.
            * types.c: Ditto.
            * prep_cif.c (ffi_prep_cif): Ditto.
    
            * alpha/ffi.c, alpha/osf.S, sparc/ffi.c, sparc/v8.S, sparc/v9.S:
            Include ffi_private.h.
    
            * include/ffi_private.h (FFI_TYPE_LAST): Define.

commit bc7144b01b9707ef35f1a2e3e6996e005e82953a
Author: green <green>
Date:   Sun Apr 22 18:28:36 2001 +0000

    Moved files from old home

commit e57279831e20368c1aa1d2b35462b8629be73959
Author: green <green>
Date:   Sun Apr 22 18:23:47 2001 +0000

    These are dead.

commit 7247436b5fe71767b29dc02b4da0fe18b08082e6
Author: green <green>
Date:   Sun Apr 22 18:22:43 2001 +0000

    All these files live somewhere else now.

commit a8b0d40ff908e275028f676870c31d0d70274a98
Author: green <green>
Date:   Sun Apr 22 18:17:14 2001 +0000

    Many changes.  Not quite there yet.

commit f893d2273355710a290a26faebf5f12c3a34d0e3
Author: green <green>
Date:   Sun Apr 22 18:13:22 2001 +0000

    Moved m68k files

commit 688ddfeced89cbb9d37b53005e1f7f2b9c78a8d7
Author: green <green>
Date:   Sun Apr 22 18:12:33 2001 +0000

    New, target indepentent, header

commit f9e40776d488d5ecf43b3ae21444a1a2f6eca528
Author: green <green>
Date:   Sun Apr 22 18:11:57 2001 +0000

    Many changes.

commit 8c1d2eb47f6bc314c431b75c85c107e8e43c4a76
Author: green <green>
Date:   Sun Apr 22 18:10:47 2001 +0000

    Many changes

commit 1359dfc6582680a158b3caa3efb7a368da4aa12d
Author: green <green>
Date:   Sun Apr 22 18:10:20 2001 +0000

    Moved ia64 files

commit 6e2de5eee316a4579869aff50c7c5f6f478582d8
Author: green <green>
Date:   Sun Apr 22 18:08:11 2001 +0000

    Moved arm files

commit 8807355af34cba8ffe87aee51152dfccec2771fa
Author: green <green>
Date:   Mon Apr 9 00:58:38 2001 +0000

    Many many updates.  Merge from gcc and then some.

commit f7e9f91adec4ff1c2e7a13b3de81d2c5a3f55e7e
Author: green <green>
Date:   Mon Apr 17 03:32:37 2000 +0000

    Mnay fixes.

commit c4860de618f4956283f5c8230a2544e403dfe390
Author: green <green>
Date:   Mon Apr 17 03:18:46 2000 +0000

    Merge from libgcj.  Merged patches from net.  See ChangeLog for details.

commit c578b58314990c3853429297c38ba14015fec5fa
Author: jsm <jsm>
Date:   Sat Oct 9 20:18:16 1999 +0000

    1999-10-09  Jason Molenda  (jsm@bugshack.cygnus.com)
    
    	* CVSROOT/auto_checkout, CVSROOT/commit_prep, CVSROOT/log_accum:
    	Deleted; generic versions now used for all repositories.
    
    	* CVSROOT/commitinfo, CVSROOT/loginfo:  Change pathnames to
    	generic versions.
    
            * CVSROOT/checkoutlist:  Don't try to check out the removed
            files any longer.

commit acdb20051207fed7652dd9f122f65de5458c474c
Author: jsm <jsm>
Date:   Sat Oct 9 20:18:15 1999 +0000

    1999-10-09  Jason Molenda  (jsm@bugshack.cygnus.com)
    
    	* CVSROOT/auto_checkout, CVSROOT/commit_prep, CVSROOT/log_accum:
    	Deleted; generic versions now used for all repositories.
    
    	* CVSROOT/commitinfo, CVSROOT/loginfo:  Change pathnames to
    	generic versions.
    
            * CVSROOT/checkoutlist:  Don't try to check out the removed
            files any longer.

commit e75be655ceedf7ab24c4e99d75eec9efeb979bc7
Author: green <green>
Date:   Sun Aug 8 13:16:41 1999 +0000

    New configury

commit d6669a0dd5b266005325bbf6d5a8ff34574d809e
Author: green <green>
Date:   Sun Aug 8 13:05:12 1999 +0000

    	* include/ffi.h.in: Try to work around messy header problem
    	with PACKAGE and VERSION.
    
    	* configure: Rebuilt.
    	* configure.in: Change version to 2.00-beta.
    
            * fficonfig.h.in: Rebuilt.
    	* acconfig.h (FFI_NO_STRUCTS, FFI_NO_RAW_API): Define.
    
    	* src/x86/ffi.c (ffi_raw_call): Rename.

commit 4819d52b007934a40d6d29a75ee30e857c4a93ae
Author: green <green>
Date:   Wed Aug 4 18:02:34 1999 +0000

    New file for Kresten's closure work

commit 2dbf801eb427cbf5021a9e1e512b5fc523524700
Author: green <green>
Date:   Wed Aug 4 18:00:05 1999 +0000

    Kresten's closure work. Initial checkin.

commit d170961701b0f2bf7e824d7caba2ebe10002ed84
Author: green <green>
Date:   Thu Jul 8 14:36:52 1999 +0000

    	* configure.in: Add x86 and powerpc BeOS configurations.
    	From Makoto Kato <m_kato@ga2.so-net.ne.jp>.

commit c7747d976924ec6f2229cbcfbbdb98d364e10de9
Author: jsm <jsm>
Date:   Wed May 12 23:32:16 1999 +0000

    1999-05-12  Jason Molenda  (jsm@bugshack.cygnus.com)
            * index.html: Add links to libffi* mail list archives.

commit dd2aa9a8de22e26df3bbc85d068358641f6202f7
Author: green <green>
Date:   Thu May 6 05:34:36 1999 +0000

    	* configure.in: Add warning about this being beta code.
    	Remove src/Makefile.am from the picture.
    	* configure: Rebuilt.
    	* Makefile.am: Move logic from src/Makefile.am.  Add changes
    	to support libffi as a target library.
    	* Makefile.in: Rebuilt.
    	* aclocal.m4, config.guess, config.sub, ltconfig, ltmain.sh:
    	Upgraded to new autoconf, automake, libtool.
    	* README: Tweaks.
    	* LICENSE: Update copyright date.
    	* src/Makefile.am, src/Makefile.in: Removed.

commit 4e9452abed58a3058ccdb446f96a29d50dda1f34
Author: green <green>
Date:   Wed May 5 22:06:13 1999 +0000

    Updated to new automake, libtool, autoconf - nothing works :-)

commit 6d3b2bddaf4967fba8b8656c01bfc77ec0f2800c
Author: jsm <jsm>
Date:   Mon Apr 26 15:55:28 1999 +0000

    1999-04-26  Jason Molenda  (jsm@bugshack.cygnus.com)
            * index.html: Missed a reference to libffi-discuss@cygnus.com.  Fixed.

commit ebc6a9c28af831d3d187af8ff17319f0f309bd98
Author: jsm <jsm>
Date:   Mon Apr 26 15:53:29 1999 +0000

    1999-04-26  Jason Molenda  (jsm@bugshack.cygnus.com)
            * index.html: Change links to ftp directory to point to sourceware
            directory.
            Change mailing list subscription forms to point to sourceware lists.

commit 78ffc52a8b257061348c576ccb6fbbf8b48b0fff
Author: jsm <jsm>
Date:   Sun Apr 18 01:33:21 1999 +0000

    Standard sourceware setup.

commit b4d77e827d7ebef7e57ebcd71e71c15c62f1e0a8
Author: jsm <jsm>
Date:   Mon Nov 30 11:11:25 1998 +0000

    Small typeo.  (I wouldn't bother except that it made the sentence hard
    for me to parse on a casual read.)

commit bfb73f08fdc987e37070c5fb0b196fbd28872888
Author: jsm <jsm>
Date:   Mon Nov 30 10:44:55 1998 +0000

    A few cleanups.  Most notably, point to the correct subscribe cgi-bin
    script.

commit af8b7f037ccee3b7939ee226a1a2bbc2f057b35c
Author: green <green>
Date:   Mon Nov 30 06:20:05 1998 +0000

    	* index.html: Reformatted and updated to reflect hosting on
    	sourceware.cygnus.com (new mailing lists, etc).

commit 334f0b060942aff8d26badaf7dde7830450dc5da
Author: green <green>
Date:   Sun Nov 29 16:56:12 1998 +0000

    initial snapshot of documentation

commit 3ab5cb4a1dcc7ecd7e773c97582b0099976c4753
Author: green <green>
Date:   Sun Nov 29 16:56:10 1998 +0000

    Initial revision

commit d2a9eb5a8b7cbc8b769809cad59c82b975c178e2
Merge: d3782ec bc75c54
Author: green <green>
Date:   Sun Nov 29 16:48:16 1998 +0000

    This commit was generated by cvs2svn to compensate for changes in r7, which
    included commits to RCS files with non-trunk default branches.

commit bc75c54bd311658005b065f1bf201b204c81cbca
Author: green <green>
Date:   Sun Nov 29 16:48:16 1998 +0000

    Import of v1 code.

commit d3782ec8160c644421dcea17b605fec6e328f14e
Author: jsm <jsm>
Date:   Fri Nov 20 20:18:00 1998 +0000

    Send commit messages to mailing lists.

commit 8d8d3843c484c2bb70d8375b2b799f75eb03f709
Author: jsm <jsm>
Date:   Thu Oct 1 22:08:36 1998 +0000

    initial checkin

commit 49634f3bf221cc1939abafc788f7e4e31293fe73
Author: jsm <jsm>
Date:   Thu Oct 1 22:08:35 1998 +0000

    Add standard setup.

commit c64a84c7693f8cd400fb94bba3c9bcfd9ad1fc36
Author: jsm <jsm>
Date:   Thu Oct 1 22:08:34 1998 +0000

    Add readers and standard modules file.

commit 9813273b07fd082da573b3b6bfb8d23809b59eea
Author: jsm <jsm>
Date:   Thu Oct 1 22:08:33 1998 +0000

    initial checkin
